<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Comprobante</title>
    <style type="text/css">
        * {
            /* font-size: 15px; */
            font-family: 'Courier New';
            /* font-weight: bold; */
        }

        .ticket p {
            margin: 0px;
            padding: 0px;
            font: Ravie;
        }

        .linea {
            padding: 2px 0px;
            width: 100%;
            border-bottom: 1px dotted black;
            border-bottom-style: dotted;
        }

        .product table {
            width: 100%;
        }

        .logo {
            width: 10rem;
            height: auto;
            text-align: center;
        }

        .number_fact {
            border: 1px solid;
            border-radius: 0.5rem;
        }

    </style>
</head>

<body>
    <div style="text-align: center;">
        <img class="logo" src="./view/librerias/dist/img/logos/<?= $_SESSION['usu_enterpriseId']; ?>t.png" />
    </div>
    <div style="text-align: center;" class="ticket">
        <p><?php echo $_SESSION['usu_enterpriseName']; ?></p>
        <p>R.U.C. <?php echo $_SESSION['usu_enterpriseRuc']; ?></p>
        <p><?php echo $_SESSION['usu_enterpriseAddress']; ?></p>
        <p><?php echo $_SESSION['usu_enterpriseUbigeoName']; ?></p>
        <br>

        <!--<p><?php echo date('d/m/Y h:i A', strtotime($r->__GET('dMovFecha_Act'))); ?></p>-->
        <!-- <p><?php echo $r->__GET('dMovFecha') . ' ' . date('H:i A', strtotime($r->__GET('dMovFecha_Act'))); ?></p> -->
        <div class="number_fact">
            <p style="font-weight: bold;"><?php echo $r->__GET('sDocNombre'); ?></p>
            <p style="font-weight: bold;">N° <?php echo $r->__GET('sDocNombreCorto') . " - " . $r->__GET('sMovDocumento'); ?></p>
        </div>
        <br>

        <div style="display: grid; grid-template-columns: 1fr 1fr; gap: 5px; text-align: left;">
            <!-- Emisión y Condición en una fila -->
            <p style="grid-column: 1;">Emisión: <?php echo (new DateTime($r->__GET('dMovFecha')))->format('d/m/Y'); ?></p>
            <p style="grid-column: 2;">Condición: <?php echo $r->__GET('nMovTipopago') == '1' ? 'Contado' : 'Crédito'; ?></p>

            <!-- Cliente y su valor en filas distintas pero columnas separadas -->
            <p style="grid-column: 1;">Cliente:</p>
            <p style="grid-column: 1 / span 2;"><?php echo $this->NombreClienteProveedor($r->__GET('nMovOrigenDestino_Id')); ?></p>

            <p style="grid-column: 1 / span 2;">DNI/RUC: <?php echo $this->RucDniClienteProveedor($r->__GET('nMovOrigenDestino_Id')); ?></p>

            <p style="grid-column: 1;">Dirección: </p>
            <p style="grid-column: 1 / span 2;"><?php echo $this->DireccionClienteProveedor($r->__GET('nMovOrigenDestino_Id')); ?></p>
        </div>

        <!-- <p>Cliente : <?php echo $this->NombreClienteProveedor($r->__GET('nMovOrigenDestino_Id')); ?> </p>
        <p>Direcci&oacute;n : <?php echo $this->DireccionClienteProveedor($r->__GET('nMovOrigenDestino_Id')); ?> </p>
        <p>R.U.C : <?php echo $this->RucDniClienteProveedor($r->__GET('nMovOrigenDestino_Id')); ?> </p>
        <p>Fecha : <?php echo $r->__GET('dMovFecha') . ' ' . date('H:i A', strtotime($r->__GET('dMovFecha_Act'))); ?> </p> -->

        <br>

        <!-- medio de pago -->
        <!-- <?php
        $mediopago = '';
        switch ($r->__GET('nPagTipoPago_Id')) {
            case '1':
                $mediopago = 'Efectivo';
                break;
            case '2':
                $mediopago = 'Banco-Deposito';
                break;
            case '3':
                $mediopago = 'Banco-Transferencia';
                break;
            case '4':
                $mediopago = 'Cheque';
                break;
            case '5':
                $mediopago = 'Letra';
                break;
            case '6':
                $mediopago = 'Nota de crédito';
                break;
            case '7':
                $mediopago = 'Comprobantes de retención';
                break;
            case '8':
                $mediopago = 'Detracción';
                break;
            case '9':
                $mediopago = 'Tarjeta de crédito';
                break;
        } ?> -->
        <!-- medio de pago -->

        <!-- <div class="item">
            <div>TIPO MONEDA: <?= $r->__GET('sMonDescripcion') ?></div>
        </div> -->

        <div class="item">		
            <?php if ($_SESSION['usu_enterpriseRuc'] == '20603911998') { ?>
                <div>ORDEN DE COMPRA: <?= $r->__GET('sMovDocReferencia') ?> </div>
            <?php } else { ?>
                <!-- <div>MEDIO PAGO: <?= $mediopago ?> </div> -->
            <?php } ?>
        </div>

        <!-- TODO: 22/07/2024 -->
        <!-- <?php if ($tieneAnticipo) { ?>
            <div>
                <div>ANTICIPO:</div>
                <div><?= $infoDocumento ?><span style="font-weight: 700; margin-left: 3px;">MONTO:</span> <?= $infoMontoTotalAnticipo ?></div>
            </div>
        <?php } ?> -->
        <!-- TODO: 22/07/2024 -->

        <?php
        $gravado = 0;
        $nogravado = 0;
        $exonerado = 0;
        ?>
        <?php foreach ($detalle_movimiento as $detmov) { ?>
            <?php
            switch ($detmov['nProSrvExoneradoIGV']) {
                case '0':
                    if ($detmov['dMovDetICBPER'] == 0) {
                        $gravado += $detmov['nMovDetImporte'];
                    }
                    break;
                case '1':
                    $exonerado += $detmov['nMovDetImporte'];
                    break;
                case '2':
                    $nogravado += $detmov['nMovDetImporte'];
                    break;
            }
            ?>
        <?php } ?>

        <?php
        if ($valor === "1") {
            $importe_igv = 1.18;
        } else {
            $importe_igv = 1;
        }
        ?>
        
        <div class="linea"></div>
        <div class="product">
            <table>
                <thead>
                    <tr>
                        <th style="font-weight: normal;">Cant.</th>
                        <th style="font-weight: normal;">Unidad.</th>
                        <th style="font-weight: normal;">Precio.</th>
                        <th style="width: 40%; text-align: right; font-weight: normal;">Importe.</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td colspan="4">
                            <div class="linea"></div>
                        </td>
                    </tr>

                    <?php foreach ($detalle_movimiento as $detmov) : 
                    
                        $precio_unitario = $detmov['nMovDetPrecioUnitario'];
                        
                        if ($detmov['nProSrvExoneradoIGV'] == 0) {
                            $precio_unitario = $precio_unitario * $importe_igv;
                        }

                        $subtotal = $detmov['nMovDetCantidad'] * $precio_unitario;
                    
                    ?>

                        <tr>
                            <td colspan="4" style="text-align: left; font-weight: bold;">
                               <?php echo $detmov['sProSrvNombre']; ?>
                            </td>
                        </tr>

                        <tr>
                            <td style="font-weight: bold;">
                                <?php echo $detmov['nMovDetCantidad']; ?>
                            </td>
                            <td>
                                <?php echo $this->UnidadNombre($detmov['nMovDetUnidad_Id']); ?>
                            </td>
                            <td>
                                <?php echo number_format($precio_unitario, $decimales, ".", ","); ?>
                            </td>

                            <td style="width: 40%; text-align: right;"><?php echo number_format($subtotal, $decimales, ".", ","); ?></td>

                        </tr>
                    <?php
                    endforeach;
                    ?>
                </tbody>
            </table>
        </div>
        <div class="linea"></div>
        <div>
            <div>
                <div>
                    <?php if($r->__GET('sDocNombreCorto') != 'COT') { ?>

                        <div>
                            <div view="<?= $r->__GET('dMovPercepcion') ?>">
                                <div>Total de Percepci&oacute;n:</div>
                                <div><?= $r->__GET('sMonAlias') . "\t\t" . $r->__GET('dMovPercepcion') ?></div>
                            </div>
                            <?php $detraccion_soles = $r->__GET('nMovTipoCambio') != 0 ? $r->__GET('nMovTipoCambio') : 1 ?>

                            <div view="<?= $r->__GET('dMovDetraccion') ?>">Comprobante sujeto a Detraccion del <?= $detraccion ?>% (S/ <?= number_format($r->__GET('dMovDetraccion') * $detraccion_soles, 2, ".", "")  ?> Soles). N&deg; de cta. en el BN: <?= $cuenta_bn ?>.</div>

                            <div>
								<div style="float: left;">
									<p>IMPORTE A DETRAER:</p>
									<p>DETRACCI&Oacute;N:</p>
									<p>NETO A PAGAR:</p>
								</div>
								<div style="float:right;">
									<p><?= $r->__GET('nMovTotal') ?></p>
									<p><?= $r->__GET('dMovDetraccion') ?></p>
									<p><?= number_format($r->__GET('nMovTotal') - $r->__GET('dMovDetraccion'), 2, ".", "") ?></p>
								</div>

							</div>

                        </div>

                        <div>
							<?php
                                $dataText   = $r->__GET('sDocNombreCorto') . " - " . $r->__GET('sMovDocumento');
                                $dataText = $toPrint;
                                $svgTagId   = 'id-of-svg';
                                $saveToFile = false;
                                $imageWidth = 130; // px        
                                // SVG file format support
                                $svgCode = QRcode::svg($dataText, $svgTagId, $saveToFile, QR_ECLEVEL_L, $imageWidth);
                                echo $svgCode;
							?>
							<p>
								Representaci&oacute;nn impresa de la Factura Electr&oacute;nica
							</p>
						</div>

                        <?php if ($r->__GET('nMovTipopago') == 2) { ?>
                            <div style="font-weight: bold;">Calendario de pagos</div>
                            <div>&nbsp;</div>
                            <table>
                                <tr>
                                    <th>Nro cuota</th>
                                    <th>Total</th>
                                    <th>Vencimiento</th>
                                </tr>
                                <?php
                                    foreach ($pagos_movimiento as $pm) { ?>
                                    <tr>
                                        <td><?php echo $pm->__GET('nMovPagNroCuota') ?></td>
                                        <td><?php echo $pm->__GET('nMovPagTotalCuota') ?></td>
                                        <td><?php echo $pm->__GET('dMovPagFechaCuota') ?></td>
                                    </tr>
                                <?php } ?>
                            </table>

			            <?php }
                     } ?>
                </div>
            </div>
        </div>
        <br>
        <div class="product">
            <table>
                <tbody>
                    <tr>
                        <td style="width: 60%; text-align: left;">Total Gravado</td>
                        <td style="width: 40%; text-align: right;"><?php echo $r->__GET('sMonAlias') . ' ' . number_format($gravado, 2, '.', ','); ?></td>
                    </tr>
                    <tr>
                        <td style="width: 60%; text-align: left;">Total no Gravado</td>
                        <td style="width: 40%; text-align: right;"><?php echo $r->__GET('sMonAlias') . ' ' . number_format($nogravado, 2, '.', ','); ?></td>
                    </tr>
                    <tr>
                        <td style="width: 60%; text-align: left;">Total Exonerado</td>
                        <td style="width: 40%; text-align: right;"><?php echo $r->__GET('sMonAlias') . ' ' . number_format($exonerado, 2, '.', ','); ?></td>
                    </tr>
                    <tr>
                        <td style="width: 60%; text-align: left;">Total IGV(18%)</td>
                        <td style="width: 40%; text-align: right;"><?php echo $r->__GET('sMonAlias') . ' ' . $r->__GET('nMovIGV'); ?></td>
                    </tr>
                    <tr>
                        <td style="width: 60%; text-align: left;">Impuesto ICBPER</td>
                        <td style="width: 40%; text-align: right;"><?php echo $r->__GET('sMonAlias') . ' ' . $r->__GET('dMovICBPER'); ?></td>
                    </tr>
                    <!-- <tr>
                        <td style="width: 60%; text-align: left;">Importe Total</td>
                        <td style="width: 40%; text-align: right;"><?php echo $r->__GET('sMonAlias') . ' ' . $r->__GET('nMovTotal'); ?></td>
                    </tr> -->
                </tbody>
            </table>
        </div>
        <br>
        <div class="number_fact" style="padding: 7px;">
            <p style="font-weight: bold;">Importe a pagar <?php echo $r->__GET('sMonAlias') . '.' . ':' . '   ' . $r->__GET('nMovTotal'); ?> </p>
        </div>
        <br>

        <div style="text-align: left;"><b>SON:</b>&nbsp;&nbsp;<?php echo $r->__GET('NumeroLetras'); ?></div>
        <br>
        
        <!-- <p style="text-align: left;">Tipo de Pago: <?php echo $r->__GET('nMovTipopago') == '1' ? 'Contado' : 'Credito'; ?></p> -->

        <div>
            <p style="text-align: left;">Vendedor : <?php echo $r->sVenNom; ?></p>
        </div>

        <!--<p style="font-size: 13px;">UNA VEZ ENTREGADA LA MERCADERÍA NO HAY RECLAMOS NI DEVOLUCIONES.</p>-->
        <!--<p style="font-size: 13px;">DESPUÉS DE 7 DÍAS DE ALMACENAMIENTO, SE COBRARÁ S/.7 POR DÍA.</p>-->
        <br>
        <p><?php echo nl2br($observacion); ?></p>
        
        <div class="number_fact" style="padding: 8px;">
            <div style="display: flex; align-items: center; justify-content: center;">
                
                <div style="display: flex; flex-direction: column; justify-content: center; align-items: center;">
                    <div style="display: flex; padding-bottom: 5px;" >
                        <img style="width: 7rem; height: 2rem; filter: grayscale(100%);" src="./view/librerias/dist/img/bcplogo.png" alt="Logo bcp">
                        <p style="display: flex; justify-content: center; align-items: center;">SOLES</p>
                    </div>
                    <div style="display: flex; gap: 5px; align-items: center;">
                        <p>CTA. CTE: </p>
                        <p style="font-weight: bold;">5701011489034</p>
                    </div>
                    <div  style="display: flex; gap: 5px; align-items: center;">
                        <p>CCI: </p>
                        <p style="font-weight: bold;">00257000101148903405</p>
                    </div>
                    <div  style="display: flex; gap: 5px; align-items: center;">
                        <p>YAPE: </p>
                        <p style="font-weight: bold;">919191402</p>
                    </div>
                </div>
            </div>
        </div>
        <br>
        <div class="number_fact" style="padding: 8px;">
            <div style="font-weight: 700; font-size: 12px; text-align: left;">
                <p>
                    *Cotización valida por 24 horas (Precios sujeto a variación).
                </p>
                <p>
                    Esperamos que nuestra propuesta cumpla con sus expectativas, estamos atentos a sus sugerencias, para cualquier duda o aclaración al respecto.
                </p>
            </div>
        </div>
        
        <!-- <p style="font-size: 12px;">Puede consultar su comprobante en: www.hormiguita.pe/consultar</p> -->
    </div>
    <script src="view/librerias/plugins/jQuery/jquery-1.11.0.min.js" type="text/javascript"></script>
    <script>
        $(document).ready(function() {
            const dato = '<?php echo $r->__GET('sDocNombreCorto') . " - " . $r->__GET('sMovDocumento'); ?>';
            
            document.title = dato;
            window.print();

            const refreshCount = +localStorage.getItem('refreshCount');
            const maxImpresiones = 1;

            if (refreshCount < maxImpresiones - 1) {
                localStorage.setItem('refreshCount', refreshCount + 1);
                window.setTimeout("window.location.reload('_self','','')", 1000);
            }

        })
    </script>
</body>

</html>