<style>
    .bottonFiltro {
        background-color:rgb(12, 155, 238);
        border-radius: 0.5rem;
        border: none;
        width: 3.5rem;
        height: 3.5rem;
    }
    .botonNuevo {
        color: black;
        font-weight: 700;
        width: 15rem;
        background-color:rgb(255, 219, 17);
    }
</style>

<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Orden de servicio
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li class="active">Orden de servicio</li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-md-12" id="resultadoPasajero">

        </div>
        <div class="col-md-12">
            <div class="box box-primary" style="border-color: orange">
                
                <div class="box-header">
                    
                    <div class="row">

                        <div class="col-md-8" style="margin-top: 15px;">
                            <form action="?c=Atencion&a=Index" method="POST">
                                <div class="row">
                                    <input type="hidden" id="id_empresa" value="<?php echo $_SESSION['usu_enterpriseRuc']; ?>">
                                    <div class="col-md-4">
                                        <strong>Tipo de mantenimiento</strong>
                                        <select class="form-control" id="TipoMantenimiento_id" name="TipoMantenimiento_id">
                                            <option value="0">TODOS</option>
                                            <?php foreach ($tiposMantenimientos as $item) { ?>
                                                <option value="<?php echo $item['id']; ?>" <?php echo isset($id) ? $id == $item['id'] ? 'selected' : '' : ''?>> <?php echo $item['descripcion']; ?> </option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                    
                                    <div class="col-md-3"><br>
                                        <button type="submit" class="bottonFiltro"><i class="fa fa-filter" style="color: white;" aria-hidden="true"></i></button>
                                    </div>

                                </div>
                            </form>
                        </div>
                        
                        <div class="col-md-4 text-right" style="margin-top: 15px;"><br>
                            <a class="botonNuevo btn btn-ingresar" style="border-radius: 0.5rem;"  onclick="FrmGuardarAtencion();">Agregar</a>
                        </div>

                    </div>
                </div><!-- /.box-header -->
                
                <div class="box-body">
                    <table id="example1" class="table table-bordered table-striped table-hover text-center">
                        <thead>
                            <tr>
                                <!-- <th>FECHA</th> -->
                                <th>N° DE ORDEN</th>
                                <th>FECHA DE INICIO</th>
                                <th>CLIENTE</th>
                                <th>VEHÍCULO</th>
                                <th>TIPO DE ATENCION</th>
                                <th>TIPO DE MANTENIMIENTO</th>
                                <th>OPERACIONES</th>
                            </tr>
                        </thead>                  	
                        <tbody>  
                           <?php foreach ($atenciones as $item) { ?>
                                <tr>
                                    <td> <?php echo $item->__GET('sOtNumOrden') ?> </td>
                                    <td> <?php echo date('Y-m-d', strtotime($item->__GET('dOtFi'))) ?> </td>
                                    <td> <?php echo $item->__GET('sODNombre') ?> </td>
                                    <td> <?php echo $item->__GET('sVehModelo') ?> </td>
                                    <td> <?php echo getDescripcionById($tiposAtencion, $item->__GET('nOtTipoAtencion')) ?> </td>
                                    <td> <?php echo getDescripcionById($tiposMantenimientos, $item->__GET('nOtTipoMant')) ?> </td>
                                    <td> 
                                        <a href="#" class="btn btn-primary btn-flat btn-xs" data-toggle="modal" data-target="#Mostrar" style="border-radius: 0.5rem;" onclick="MostrarAtencion('<?php echo $item->__GET('OrdenTrabajo_Id'); ?>');"> 
                                            <i class="fa fa-eye"></i> 
                                        </a>

                                        <a href="#" style="border-radius: 0.5rem;" class="btn btn-success btn-flat btn-xs" onclick="FrmEditarAtencion('<?php echo $item->__GET('OrdenTrabajo_Id'); ?>');">
                                            <i class="fa fa-edit"></i> 
                                        </a>

                                        <a href="#" style="border-radius: 0.5rem;" class="btn btn-danger btn-flat btn-xs" data-toggle="modal" data-target="#Eliminar" data-codigo="<?php echo $item->__GET('OrdenTrabajo_Id'); ?>">
                                            <i class="fa fa-times"></i> 
                                        </a>

                                        <a style="border-radius: 0.5rem;" href="<?php echo '?c=Atencion&a=PDFAtencion&OrdenTrabajo_Id=' . $item->__GET('OrdenTrabajo_Id'); ?>" class="btn btn-warning btn-flat btn-xs" target="_blank">
                                            <i class="fa fa-print" aria-hidden="true"></i>
                                        </a>

                                    </td>
                                </tr>
                           <?php } ?>
                        </tbody>
                        <tfoot>
                            <tr>
                                <!-- <th>FECHA</th> -->
                                <th>N° DE ORDEN</th>
                                <th>FECHA DE INICIO</th>
                                <th>CLIENTE</th>
                                <th>VEHÍCULO</th>
                                <th>TIPO DE ATENCION</th>
                                <th>TIPO DE MANTENIMIENTO</th>
                                <th>OPERACIONES</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
</section>

<div class="modal fade" id="Mostrar">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <form action="?c=Atencion&a=PrevisualizarAtencion" method="POST">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title">Detalle de atención</h4>
                </div>
                <div class="modal-body">
                    <input type="hidden" id="atencion_id" name="atencion_id">
                    <table class="table table-bordered" id="ver_datos">
                        <tbody>
                            <tr>
                                <td>Cargando datos...</td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">Cerrar</button>
                    <!--<button type="submit" class="btn btn-danger btn-flat">Si, Eliminar</button>-->
                </div>
            </form>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<div class="modal fade" id="Eliminar">
    <div class="modal-dialog">
        <div class="modal-content">
            <form action="?c=Atencion&a=EliminarAtencion" method="POST">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title">Eliminar</h4>
                </div>
                <div class="modal-body">
                    <input type="hidden" id="id_OrdenTrabajo" name="id_OrdenTrabajo">
                    <p>¿Estás seguro que desea eliminar?</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">No, Cancelar</button>
                    <button type="submit" class="btn btn-danger btn-flat">Si, Eliminar</button>
                </div>
            </form>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<!-- Modal modal-eliminar -->
<!-- <div class="modal fade" id="Agregar" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <form action="javascript:GuardarAlmacen();" method="POST" id="FrmAlmacen">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                    <h4 class="modal-title" id="modal-eliminar-label">Agregar Almacén</h4>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-12">                            
                            <div id="resultado"></div>
                        </div>
                        <div class="col-md-12 form-group">
                            <input type="hidden" name="Almacen_Id" id="Almacen_Id">
                            <label>Nombre</label>
                            <input type="text" class="form-control" name="sAlmNombre" id="sAlmNombre" placeholder="Nombre">
                        </div>
                        <div class="col-md-12 form-group">
                            <label>Ubicación</label>
                            <input type="text" class="form-control" name="sAlmUbicacion" id="sAlmUbicacion" placeholder="Ubicación">
                        </div>
                        <div class="col-md-12 form-group">
                            <label>Estado</label>
                            <select class="form-control" name="nAlmEstado" id="nAlmEstado">
                                <option value="">Seleccionar estado</option>
                                <option value="1">Habilitado</option>
                                <option value="0">Deshabilitado</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-primary btn-flat">Si, Agregar</button>
                    <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">No, cancelar</button>
                </div>
            </form>
        </div>
    </div>
</div> -->
<!-- /Modal modal-eliminar -->
 <script type="text/javascript" src="view/librerias/dist/js/funcionesAtencion.js"></script>
<!-- <script type="text/javascript" src="view/librerias/dist/js/funcionesAlmacen.js"></script> -->

<script type="text/javascript">
    $(function() {
        jQuery.fn.dataTableExt.oSort['fecha-asc'] = function(a, b) {
            var ukDatea = a.split('-');
            var ukDateb = b.split('-');

            var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
            var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

            return ((x < y) ? -1 : ((x > y) ? 1 : 0));
        };

        jQuery.fn.dataTableExt.oSort['fecha-desc'] = function(a, b) {
            var ukDatea = a.split('-');
            var ukDateb = b.split('-');

            var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
            var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

            return ((x < y) ? 1 : ((x > y) ? -1 : 0));
        };
        $("#example1").dataTable({
            "scrollX": true,
            "bSort": true,
            "language": {
                "search": "",
                "lengthMenu": "Filas por página _MENU_",
                "zeroRecords": "No hay información para mostrar",
                "info": "Pagina _PAGE_ de _PAGES_ de _MAX_ ",
                "infoEmpty": "Pagina _PAGE_ - _PAGES_ de _MAX_ registros",
                "infoFiltered": "(filtered from _MAX_ total records)",
                "paginate": {
                    "previous": "Anterior",
                    "next": "Siguiente"
                }
            },
            "initComplete": function () {
                // Modificar el placeholder del input de búsqueda
                $('div.dataTables_filter input').attr('placeholder', 'Buscar');
            }
            
        });
        
        $("#FrmAlmacen").validators({
            rules: {
                sAlmNombre: {
                    required: true
                },
                sAlmUbicacion: {
                    required: true
                },
                nAlmEstado: {
                    required: true
                }
            }
        })
    });
    $('#Eliminar').on('show.bs.modal', function(event) {
        var button = $(event.relatedTarget); // Button that triggered the modal
        var recipient = button.data('codigo'); // Extract info from data-* attributes

        // If necessary, you could initiate an AJAX request here (and then do the updating in a callback).
        // Update the modal's content. We'll use jQuery here, but you could use a data binding library or other methods instead.
        var modal = $(this);
        modal.find('.modal-body input').val(recipient);
    });
</script>

