<style>
    .bottonFiltro {
        background-color:rgb(12, 155, 238);
        border-radius: 0.5rem;
        border: none;
        width: 3.5rem;
        height: 3.5rem;
    }
    .botonNuevo {
        color: black;
        font-weight: 700;
        width: 15rem;
        background-color:rgb(255, 219, 17);
    }
</style>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Guia de remisión
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Guia de remisión</a></li>
    </ol>
</section>

<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box">
                <div class="box-header">
                    <div class="row">
                        <div class="col-md-7" style="margin-top: 15px;">
                            <form action="?c=Guiaremision&a=index" method="POST">
                                <div class="row">
                                    <div class="col-md-3">
                                        <strong>Fecha Inicio</strong>
                                        <input type="text" class="form-control" name="fechaIni" id="fechaIni" value="<?php echo $fechaIni; ?>">
                                    </div>
                                    <div class="col-md-3">
                                        <strong>Fecha Fin</strong>
                                        <input type="text" class="form-control" name="fechaFin" id="fechaFin" value="<?php echo $fechaFin; ?>">
                                    </div>
                                    <div class="col-md-3"><br>
                                        <button type="submit" class="bottonFiltro"><i class="fa fa-filter" style="color: white;" aria-hidden="true"></i></button>
                                    </div>

                                </div>
                            </form>
                        </div>
                        <div class="col-md-5 text-right" style="margin-top: 15px;"><br>
                            <a class="btn btn-success btn-flat btn-custom" style="border-radius: 0.5rem; width: 15rem;" onclick="ActualizarEstadoGuias()">Actualizar Estados</a>
                            <a class="botonNuevo btn btn-ingresar" style="border-radius: 0.5rem; width: 18rem;" href="?c=Guiaremision&a=formulario">Nueva Guia de remisión</a>
                        </div>
                    </div>
                </div><!-- /.box-header -->
                <div class="box-body">
                    <table id="example2" class="table table-bordered table-striped table-hover text-center">
                        <thead>
                            <tr>
                                <th>FECHA EMISIÓN</th>
                                <th>FECHA INICIO DE TRANSLADO</th>
                                <th>N° DOCUMENTO</th>
                                <th>DOCUMENTO RELACIONADO</th>
                                <th>CLIENTE/PROVEEDOR</th>
                                <th>MONEDA</th>
                                <th>ESTADO</th>
                                <th>ESTADO SUNAT</th>
                                <th>OPERACIONES</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php foreach ($guiaremision as $item) : ?>
                                <tr>
                                    <td><?php echo $item->__GET('dTraFecha'); ?></td>
                                    <td><?php echo $item->__GET('dTraFechaTraslado'); ?></td>
                                    <td><?php echo $item->__GET('sTraSerie') . '-' . $item->__GET('sTraNumero');  ?></td>
                                    <td><?php echo $item->__GET('sSerieNumeroRelacionado'); ?></td>
                                    <td><?php echo $item->__GET('sCliente'); ?></td>
                                    <td><?php if ($item->__GET('Moneda_Id') == 1) {
                                            echo 'Soles'; ?>

                                        <?php  } else {
                                            echo  'Dolares';
                                        } ?> </td>

                                    <td>
                                        <?php
                                        if ($item->__GET('nGuiEstado') == '0') {
                                            echo '<span class="text-danger" style="background-color: rgb(255, 218, 218); padding: 0.5rem; font-weight: 600">ANULADO</span>';
                                        } elseif ($item->__GET('nGuiEstado') == '1') {
                                            echo '<span class="text-warning" style="background-color: rgb(241, 222, 158); padding: 0.5rem; font-weight: 600">REGISTRADO</span>';
                                        } else if ($item->__GET('nGuiEstado') == '2') {
                                            echo '<span class="text-success" style="background-color: rgb(218, 255, 218); padding: 0.5rem; font-weight: 600">PAGADO</span>';
                                        }
                                        ?>
                                    </td>

                                    <td>
                                        <?php
                                        if ($item->__GET('nGuiEstadoSunat') == '-1') {
                                            echo '<span class="text-secondary" style="background-color: rgba(44, 43, 41, 0.15); padding: 0.5rem; font-weight: 600">NO ENVIADO</span>';
                                        } else if ($item->__GET('nGuiEstadoSunat') == '0' || $item->__GET('nGuiEstadoSunat') == '500') {
                                            echo '<span class="text-warning" style="background-color: rgb(241, 222, 158); padding: 0.5rem; font-weight: 600">PENDIENTE</span>';
                                        } else if ($item->__GET('nGuiEstadoSunat') == '1') {
                                            echo '<span class="text-info" style="background-color: rgb(139, 247, 214); padding: 0.5rem; font-weight: 600">VALIDADO</span>';
                                        } else if ($item->__GET('nGuiEstadoSunat') == '2') {
                                            echo '<span class="text-info" style="background-color: rgb(139, 247, 214); padding: 0.5rem; font-weight: 600">VALIDADO</span>';
                                        } else if ($item->__GET('nGuiEstadoSunat') == '3') {
                                            echo '<span class="text-info" style="background-color: rgb(139, 247, 214); padding: 0.5rem; font-weight: 600">VALIDADO</span>';
                                        } else if ($item->__GET('nGuiEstadoSunat') == '4') {
                                            echo '<span class="text-danger" style="background-color: rgb(255, 218, 218); padding: 0.5rem; font-weight: 600">RECHAZADO</span>';
                                        } else if ($item->__GET('nGuiEstadoSunat') == '5') {
                                            echo '<span class="text-danger" style="background-color: rgb(255, 218, 218); padding: 0.5rem; font-weight: 600">BAJA</span>';
                                        }
                                        ?>
                                    </td>

                                    <td>
                                        <a style="border-radius: 0.5rem;"  href="?c=Guiaremision&a=comprobante&Guiaremision_Id=<?php echo $item->__GET('Guiaremision_Id'); ?>" target="_blank" class="btn btn-warning btn-xs">
                                            <i class="fa fa-print" aria-hidden="true"></i>
                                        </a>
                                        <?php # if ($item->__GET('nGuiEstadoSunat') != '3') { ?>
                                        <?php if ($item->__GET('dias') == 0 && $item->__GET('horas') <= 23) { ?>
                                            <a style="border-radius: 0.5rem;" href="#" class="btn btn-danger btn-flat btn-xs <?php echo $item->__GET('Guiaremision_Id') == '0' ? 'disabled' : ''; ?>  <?php echo $item->__GET('nGuiEstadoSunat') == 5 && $item->__GET('nGuiEstado') == 0 ? 'disabled' : ''; ?>" data-toggle="modal" data-target="#modal-eliminar" data-codigo="<?php echo $item->__GET('Guiaremision_Id'); ?>">
                                                <i class="fa fa-trash-o"></i>
                                            </a>

                                        <?php } ?>

                                        <?php #if (($item->__GET('dias') == 0 && $item->__GET('horas') <= 23) && $item->__GET('nGuiEstado') != 0) {
                                                if ($item->__GET('nGuiEstadoSunat') == "-1" || $item->__GET('nGuiEstadoSunat') == "0" || $item->__GET('nGuiEstadoSunat') == "500") {
                                        ?>
                                                <a style="border-radius: 0.5rem;" onclick="previsualizacion('<?php echo $item->__GET('Guiaremision_Id') ?>')" class="btn btn-info btn-flat btn-xs" title="Enviar comprobante"><i class="glyphicon glyphicon-send"></i></a>
                                        <?php
                                                }
                                            #} ?>
                                    </td>

                                </tr>
                            <?php endforeach; ?>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th>FECHA EMISIÓN</th>
                                <th>FECHA INICIO DE TRANSLADO</th>
                                <th>N° DOCUMENTO</th>
                                <th>DOCUMENTO RELACIONADO</th>
                                <th>CLIENTE/PROVEEDOR</th>
                                <th>MONEDA</th>
                                <th>ESTADO</th>
                                <th>ESTADO SUNAT</th>
                                <th>OPERACIONES</th>
                            </tr>
                        </tfoot>
                    </table>

                    <!-- Modal modal-eliminar -->
                    <div class="modal fade" id="modal-eliminar" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <form action="" method="POST">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                        <h4 class="modal-title" id="modal-eliminar-label">Anular guía de remisión</h4>
                                    </div>
                                    <div class="modal-body">
                                        <input type="hidden" name="guiaremision_id" id="guiaremision_id" value="">
                                        ¿Estás seguro que desea anular la guía de remisión?
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">No, cancelar</button>
                                        <!-- <button type="submit" class="btn btn-danger btn-flat">Sí, eliminar</button> -->
                                        <button type="button" onclick="eliminarguiaremision();" class=" btn btn-danger btn-flat">Sí, eliminar</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- /Modal modal-eliminar -->

                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->
<script type="text/javascript">
    $('#fechaIni').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY'
    });

    $('#fechaFin').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY'
    });

    function eliminarguiaremision() {
        var id = $("#guiaremision_id").val();
        $.post('?c=Guiaremision&a=bajarComprante', {
            guiaremision_id: id
        }, (data) => {
            dataJson = JSON.parse(JSON.parse(data));
            if (dataJson.success && dataJson.codigo == 5) {
                swal(
                    'Exitoso',
                    'Se actualizo correctamente la guía de remisión. Debe anular manualmente mediante el portal de la SUNAT.',
                    'success'
                ).then(() => {
                    location.reload();
                });
            } else {
                swal(
                    'Error',
                    'Ocurrio un error al dar de baja a la guía de remisión.',
                    'error'
                );
            }
            //TODO: Anterior
            // return;
            // swal(
            //     'Exitoso',
            //     'Los datos se registraron correctamente.',
            //     'success'
            // ).then(() => {
            //     location.reload();
            // });
        });
    }

    function previsualizacion (Guiaremision_Id) {
        $.post('?c=Guiaremision&a=Previsualizar', {
            code: Guiaremision_Id,
            origen: 0
        }, function(data) {
            $('.content-wrapper').html(data)
        })
    }


    function ActualizarEstadoGuias() {
        const fechaInicio = $('#fechaIni').val();
        const fechaFin = $('#fechaFin').val();
        
        const urlComprobante = 'https://colibri2.fmsac.com/comprobante';

        let errors = [];
        let promisesArray = [];
        let guiasActualizadas = [];

        $('#preloader').fadeIn('slow');

        $.post('?c=Guiaremision&a=obtenerGuiasRemision', {
            fechaInicio: fechaInicio,
            fechaFin: fechaFin
        }, function(data) {
            const dataJson = JSON.parse(data)
            
            if (dataJson.guias.length > 0 && dataJson.ruc) {
                const guiaJson = dataJson.guias
                const rucJson = dataJson.ruc

                guiaJson.map((guia) => {
                    // validar estado y estado sunat: estado 1 ó 2 & estadoSunat -1 ó 0
                    if ((guia.nGuiEstado === "1" || guia.nGuiEstado === "2") && (guia.nGuiEstadoSunat === "-1" || guia.nGuiEstadoSunat === "0" || guia.nGuiEstadoSunat === "500")) {
                        const promise = new Promise((resolve, reject) => {
                            
                            $.post('?c=Guiaremision&a=verificarEstadoColibri', {
                                rucJson: rucJson,
                                sTraSerie: guia.sTraSerie,
                                sTraNumero: guia.sTraNumero
                            }, function (Estado) {
                                console.log(Estado)
                                if (Estado != '-1' && Estado != '0') {
                                    $.post(
                                        '?c=Guiaremision&a=actualizarEstadoGuiaPorId',
                                        {
                                            Guiaremision_Id: guia.Guiaremision_Id,
                                            Estado
                                        }, function (actualizado) {
                                            if (actualizado <= 0) {
                                                errors.push(guia)
                                            } else {
                                                guiasActualizadas.push(1)
                                            }
                                            resolve()
                                        }
                                    )
                                } else {
                                    errors.push(guia)
                                    resolve()
                                }
                            })
                            
                            // $.post(
                            //    `${urlComprobante}/${rucJson}/${guia.sTraSerie}/${guia.sTraNumero}`,
                            //    {},
                            //    function (Estado) {
                            //        if (Estado != '-1') {
                            //            $.post(
                            //                '?c=Guiaremision&a=actualizarEstadoGuiaPorId',
                            //                {
                            //                    Guiaremision_Id: guia.Guiaremision_Id,
                            //                    Estado
                            //                }, function (actualizado) {
                            //                    if (actualizado <= 0) {
                            //                       errors.push(guia)
                            //                    } else {
                            //                        guiasActualizadas.push(1)
                            //                    }
                            //                    resolve()
                            //                }
                            //            )
                            //        } else {
                            //            errors.push(guia)
                            //            resolve()
                            //        }
                            //    }
                            // )
                        })

                        promisesArray.push(promise)
                    }

                    // validar estado y estado sunat: estado 0 & estadoSunat 1, 2 ó 3 ---> para anular en Sunat ... poner estadoSunat en 5
                    if (guia.nGuiEstado === "0" && (guia.nGuiEstadoSunat === "1" || guia.nGuiEstadoSunat === "2" || guia.nGuiEstadoSunat === "3")) {
                        const promise = new Promise((resolve, reject) => {
                            $.post(
                                `${urlComprobante}/${rucJson}/${guia.sTraSerie}/${guia.sTraNumero}`,
                                {},
                                function (Estado) {
                                    if (Estado != '-1') {
                                        $.post(
                                            '?c=Guiaremision&a=actualizarEstadoGuiaPorId',
                                            {
                                                Guiaremision_Id: guia.Guiaremision_Id,
                                                Estado
                                            }, function (actualizado) {
                                                if (actualizado <= 0) {
                                                    errors.push(guia)
                                                } else {
                                                    guiasActualizadas.push(1)
                                                }
                                                resolve()
                                            }
                                        )
                                    } else {
                                        errors.push(guia)
                                        resolve()
                                    }
                                }
                            )
                        })

                        promisesArray.push(promise)
                    }
                })

                Promise.all(promisesArray).then(() => {
                    $('#preloader').fadeOut('slow');

                    swal(
                        'Realizado.',
                        `Se actualizaron ${guiasActualizadas.length} guías de remisión.`,
                        'success'
                    ).then(() => {
                        $('#preloader').fadeIn('slow');
                        window.location.reload();
                    })
                })
            } else {
                $('#preloader').fadeOut('slow');
            }

        })
    }


    $(function() {
        jQuery.fn.dataTableExt.oSort['fecha-asc'] = function(a, b) {
            var ukDatea = a.split('-');
            var ukDateb = b.split('-');
            var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
            var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;
            return ((x < y) ? -1 : ((x > y) ? 1 : 0));
        };
        jQuery.fn.dataTableExt.oSort['fecha-desc'] = function(a, b) {
            var ukDatea = a.split('-');
            var ukDateb = b.split('-');
            var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
            var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;
            return ((x < y) ? 1 : ((x > y) ? -1 : 0));
        };
        $("#example2").dataTable({
            "scrollX": true,
            "bSort": true,
            "language": {
                "search": "",
                "lengthMenu": "Filas por página _MENU_",
                "zeroRecords": "No hay información para mostrar",
                "info": "Pagina _PAGE_ de _PAGES_ de _MAX_ ",
                "infoEmpty": "Pagina _PAGE_ - _PAGES_ de _MAX_ registros",
                "infoFiltered": "(filtered from _MAX_ total records)",
                "paginate": {
                    "previous": "Anterior",
                    "next": "Siguiente"
                }
            },
            "initComplete": function () {
                // Modificar el placeholder del input de búsqueda
                $('div.dataTables_filter input').attr('placeholder', 'Buscar');
            }
        });
    });
    $('#modal-eliminar').on('show.bs.modal', function(event) {
        var button = $(event.relatedTarget); // Button that triggered the modal
        var recipient = button.data('codigo'); // Extract info from data-* attributes

        // If necessary, you could initiate an AJAX request here (and then do the updating in a callback).
        // Update the modal's content. We'll use jQuery here, but you could use a data binding library or other methods instead.
        $("#guiaremision_id").val(recipient);
    });
</script>