<style>
    .botonNuevo {
        color: black;
        font-weight: 700;
        width: 13rem;
        background-color:rgb(255, 219, 17);
    }
</style>

<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Recepción/Salida
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li class="active">Recepción/Salida</li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-md-12" id="resultadoPasajero">

        </div>
        <div class="col-md-12">
            <div class="box box-primary" style="border-color: orange">
                <div class="box-body">
                    <div class="form-group" style="text-align: right; margin-top: 10px;">
                        <button class="botonNuevo btn btn-ingresar" style="border-radius: 0.5rem;" data-toggle="modal" data-target="#Agregar" onclick="FrmGuardarInventario()">Agregar</button>
                    </div>
                    <table id="example1" class="table table-bordered table-striped table-hover text-center">
                        <thead>
                            <tr>
                                <th>FECHA DE INGRESO</th>
                                <th>ORDEN TRABAJO</th>
                                <th>PLACA</th>
                                <th>FECHA DE SALIDA</th>
                                <th>OPERACIONES</th>
                            </tr>
                        </thead>                  	
                        <tbody>  
                           <?php foreach ($inventarios as $item) { ?>
                                <tr>
                                    <td> <?= $item->__GET('dInvFechaIngreso') ?> </td>
                                    <td> <?= $item->__GET('sOtNumOrden') ? $item->__GET('sOtNumOrden') : '-' ?> </td>
                                    <td> <?= $item->__GET('sInvPlaca') ?> </td>
                                    <td> <?= $item->__GET('dInvFechaSalida') ?> </td>
                                    <td>
                                        <!-- <a href="#" class="btn btn-primary btn-flat btn-xs" data-toggle="modal" data-target="#Mostrar" style="border-radius: 0.5rem;" onclick="MostrarInventario('<?php echo $item->__GET('Inventario_Id'); ?>');"> 
                                            <i class="fa fa-eye"></i> 
                                        </a> -->

                                        <a href="#" style="border-radius: 0.5rem;" class="btn btn-success btn-flat btn-xs" onclick="FrmEditarInventario('<?php echo $item->__GET('Inventario_Id'); ?>');">
                                            <i class="fa fa-edit"></i> 
                                        </a>

                                        <a href="#" style="border-radius: 0.5rem;" title="Promover Orden de Trabajo" class="btn btn-primary btn-flat btn-xs">
                                            <i class="fa fa-share" aria-hidden="true"></i>
                                        </a>

                                        <a href="#" style="border-radius: 0.5rem;" class="btn btn-danger btn-flat btn-xs" data-toggle="modal" data-target="#Eliminar" data-codigo="<?php echo $item->__GET('Inventario_Id'); ?>">
                                            <i class="fa fa-times"></i> 
                                        </a>

                                        <a style="border-radius: 0.5rem;" title="Descargar" href="<?php echo '?c=Inventario&a=PDFInventario&Inventario_Id=' . $item->__GET('Inventario_Id'); ?>" class="btn btn-warning btn-flat btn-xs" target="_blank">
                                            <i class="fa fa-print" aria-hidden="true"></i>
                                        </a>

                                    </td>
                                </tr>
                           <?php } ?>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th>FECHA DE INGRESO</th>
                                <th>ORDEN TRABAJO</th>
                                <th>PLACA</th>
                                <th>FECHA DE SALIDA</th>
                                <th>OPERACIONES</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
</section>
<div class="modal fade" id="Mostrar">
    <div class="modal-dialog">
        <div class="modal-content">
            <form action="#" method="POST">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title">Mostrar Inventario</h4>
                </div>
                <div class="modal-body">
                    <table class="table table-bordered" id="ver_datos">
                        <tbody>
                            <tr>
                                <td>Cargando datos...</td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">Cerrar</button>
                    <!--<button type="submit" class="btn btn-danger btn-flat">Si, Eliminar</button>-->
                </div>
            </form>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<div class="modal fade" id="Eliminar">
    <div class="modal-dialog">
        <div class="modal-content">
            <form action="?c=Inventario&a=EliminarInventario" method="POST">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title">Eliminar</h4>
                </div>
                <div class="modal-body">
                    <input type="hidden" id="id_Inventario" name="id_Inventario">
                    <p>¿Estás seguro que desea eliminar el inventario?</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">No, Cancelar</button>
                    <button type="submit" class="btn btn-danger btn-flat">Si, Eliminar</button>
                </div>
            </form>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<!-- Modal modal-eliminar -->
<!-- <div class="modal fade" id="Agregar" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <form action="javascript:GuardarAlmacen();" method="POST" id="FrmAlmacen">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                    <h4 class="modal-title" id="modal-eliminar-label">Agregar Almacén</h4>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-12">                            
                            <div id="resultado"></div>
                        </div>
                        <div class="col-md-12 form-group">
                            <input type="hidden" name="Almacen_Id" id="Almacen_Id">
                            <label>Nombre</label>
                            <input type="text" class="form-control" name="sAlmNombre" id="sAlmNombre" placeholder="Nombre">
                        </div>
                        <div class="col-md-12 form-group">
                            <label>Ubicación</label>
                            <input type="text" class="form-control" name="sAlmUbicacion" id="sAlmUbicacion" placeholder="Ubicación">
                        </div>
                        <div class="col-md-12 form-group">
                            <label>Estado</label>
                            <select class="form-control" name="nAlmEstado" id="nAlmEstado">
                                <option value="">Seleccionar estado</option>
                                <option value="1">Habilitado</option>
                                <option value="0">Deshabilitado</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-primary btn-flat">Si, Agregar</button>
                    <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">No, cancelar</button>
                </div>
            </form>
        </div>
    </div>
</div> -->
<!-- /Modal modal-eliminar -->
 <script type="text/javascript" src="view/librerias/dist/js/funcionesInventario.js"></script>
<!-- <script type="text/javascript" src="view/librerias/dist/js/funcionesAlmacen.js"></script> -->

<script type="text/javascript">
    $(function() {
        jQuery.fn.dataTableExt.oSort['fecha-asc'] = function(a, b) {
            var ukDatea = a.split('-');
            var ukDateb = b.split('-');

            var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
            var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

            return ((x < y) ? -1 : ((x > y) ? 1 : 0));
        };

        jQuery.fn.dataTableExt.oSort['fecha-desc'] = function(a, b) {
            var ukDatea = a.split('-');
            var ukDateb = b.split('-');

            var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
            var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

            return ((x < y) ? 1 : ((x > y) ? -1 : 0));
        };
        $("#example1").dataTable({
            "scrollX": true,
            "bSort": true,
            "language": {
                "search": "",
                "lengthMenu": "Filas por página _MENU_",
                "zeroRecords": "No hay información para mostrar",
                "info": "Pagina _PAGE_ de _PAGES_ de _MAX_ ",
                "infoEmpty": "Pagina _PAGE_ - _PAGES_ de _MAX_ registros",
                "infoFiltered": "(filtered from _MAX_ total records)",
                "paginate": {
                    "previous": "Anterior",
                    "next": "Siguiente"
                }
            },
            "initComplete": function () {
                // Modificar el placeholder del input de búsqueda
                $('div.dataTables_filter input').attr('placeholder', 'Buscar');
            }
            
        });
        
        $("#FrmAlmacen").validators({
            rules: {
                sAlmNombre: {
                    required: true
                },
                sAlmUbicacion: {
                    required: true
                },
                nAlmEstado: {
                    required: true
                }
            }
        })
    });
    $('#Eliminar').on('show.bs.modal', function(event) {
        var button = $(event.relatedTarget); // Button that triggered the modal
        var recipient = button.data('codigo'); // Extract info from data-* attributes

        // If necessary, you could initiate an AJAX request here (and then do the updating in a callback).
        // Update the modal's content. We'll use jQuery here, but you could use a data binding library or other methods instead.
        var modal = $(this);
        modal.find('.modal-body input').val(recipient);
    });
</script>

