<?php

class InventarioModel {

    private $pdo;

    public function __CONSTRUCT(){
        try {
            $this->pdo = DataBase::ObtenerConexion();
            $this->pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function Listar(){
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL inv_listarC(0)");
            $stm->execute();

            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r){
                $inv = new Inventario();
                $inv->__SET('Inventario_Id', $r->Inventario_Id);
                $inv->__SET('OrdenTrabajo_Id', $r->OrdenTrabajo_Id);
                $inv->__SET('dInvFechaIngreso', $r->dInvFechaIngreso);
                $inv->__SET('dInvHoraIngreso', $r->dInvHoraIngreso);
                $inv->__SET('sInvPlaca', $r->sInvPlaca);
                $inv->__SET('sInvFotoIngreso', $r->sInvFotoIngreso);
                $inv->__SET('nInvKilometraje', $r->nInvKilometraje);
                $inv->__SET('nInvHorometro', $r->nInvHorometro);
                $inv->__SET('nInvCliente_Id', $r->nInvCliente_Id);
                $inv->__SET('nInvVehiculo_Id', $r->nInvVehiculo_Id);
                $inv->__SET('nInvFarosDelanterosIng', $r->nInvFarosDelanterosIng);
                $inv->__SET('nInvFarosDelanterosSal', $r->nInvFarosDelanterosSal);
                $inv->__SET('sInvFarosDelanterosObs', $r->sInvFarosDelanterosObs);
                $inv->__SET('nInvFarosPosterioresIng', $r->nInvFarosPosterioresIng);
                $inv->__SET('nInvFarosPosterioresSal', $r->nInvFarosPosterioresSal);
                $inv->__SET('sInvFarosPosterioresObs', $r->sInvFarosPosterioresObs);
                $inv->__SET('nInvFarosNeblinerosIng', $r->nInvFarosNeblinerosIng);
                $inv->__SET('nInvFarosNeblinerosSal', $r->nInvFarosNeblinerosSal);
                $inv->__SET('sInvFarosNeblinerosObs', $r->sInvFarosNeblinerosObs);
                $inv->__SET('nInvLucesDireccionalesIng', $r->nInvLucesDireccionalesIng);
                $inv->__SET('nInvLucesDireccionalesSal', $r->nInvLucesDireccionalesSal);
                $inv->__SET('sInvLucesDireccionalesObs', $r->sInvLucesDireccionalesObs);
                $inv->__SET('nInvFarosPiratasIng', $r->nInvFarosPiratasIng);
                $inv->__SET('nInvFarosPiratasSal', $r->nInvFarosPiratasSal);
                $inv->__SET('sInvFarosPiratasObs', $r->sInvFarosPiratasObs);
                $inv->__SET('nInvEspejosRetrovisoresIng', $r->nInvEspejosRetrovisoresIng);
                $inv->__SET('nInvEspejosRetrovisoresSal', $r->nInvEspejosRetrovisoresSal);
                $inv->__SET('sInvEspejosRetrovisoresObs', $r->sInvEspejosRetrovisoresObs);
                $inv->__SET('nInvPlumillasIng', $r->nInvPlumillasIng);
                $inv->__SET('nInvPlumillasSal', $r->nInvPlumillasSal);
                $inv->__SET('sInvPlumillasObs', $r->sInvPlumillasObs);
                $inv->__SET('nInvParabrisasDelanteraIng', $r->nInvParabrisasDelanteraIng);
                $inv->__SET('nInvParabrisasDelanteraSal', $r->nInvParabrisasDelanteraSal);
                $inv->__SET('sInvParabrisasDelanteraObs', $r->sInvParabrisasDelanteraObs);
                $inv->__SET('nInvParabrisasPosteriorIng', $r->nInvParabrisasPosteriorIng);
                $inv->__SET('nInvParabrisasPosteriorSal', $r->nInvParabrisasPosteriorSal);
                $inv->__SET('sInvParabrisasPosteriorObs', $r->sInvParabrisasPosteriorObs);
                $inv->__SET('nInvLunasLateralesIng', $r->nInvLunasLateralesIng);
                $inv->__SET('nInvLunasLateralesSal', $r->nInvLunasLateralesSal);
                $inv->__SET('sInvLunasLateralesObs', $r->sInvLunasLateralesObs);
                $inv->__SET('nInvRadioIng', $r->nInvRadioIng);
                $inv->__SET('nInvRadioSal', $r->nInvRadioSal);
                $inv->__SET('sInvRadioObs', $r->sInvRadioObs);
                $inv->__SET('nInvAireAcondicionadoIng', $r->nInvAireAcondicionadoIng);
                $inv->__SET('nInvAireAcondicionadoSal', $r->nInvAireAcondicionadoSal);
                $inv->__SET('sInvAireAcondicionadoObs', $r->sInvAireAcondicionadoObs);
                $inv->__SET('nInvTarjetaPropiedadIng', $r->nInvTarjetaPropiedadIng);
                $inv->__SET('nInvTarjetaPropiedadSal', $r->nInvTarjetaPropiedadSal);
                $inv->__SET('sInvTarjetaPropiedadObs', $r->sInvTarjetaPropiedadObs);
                $inv->__SET('nInvSoatIng', $r->nInvSoatIng);
                $inv->__SET('nInvSoatSal', $r->nInvSoatSal);
                $inv->__SET('sInvSoatObs', $r->sInvSoatObs);
                $inv->__SET('nInvCinturonesSeguridadIng', $r->nInvCinturonesSeguridadIng);
                $inv->__SET('nInvCinturonesSeguridadSal', $r->nInvCinturonesSeguridadSal);
                $inv->__SET('sInvCinturonesSeguridadObs', $r->sInvCinturonesSeguridadObs);
                $inv->__SET('nInvExtintorIng', $r->nInvExtintorIng);
                $inv->__SET('nInvExtintorSal', $r->nInvExtintorSal);
                $inv->__SET('sInvExtintorObs', $r->sInvExtintorObs);
                $inv->__SET('nInvTrianguloSeguridadIng', $r->nInvTrianguloSeguridadIng);
                $inv->__SET('nInvTrianguloSeguridadSal', $r->nInvTrianguloSeguridadSal);
                $inv->__SET('sInvTrianguloSeguridadObs', $r->sInvTrianguloSeguridadObs);
                $inv->__SET('nInvGataPalancaIng', $r->nInvGataPalancaIng);
                $inv->__SET('nInvGataPalancaSal', $r->nInvGataPalancaSal);
                $inv->__SET('sInvGataPalancaObs', $r->sInvGataPalancaObs);
                $inv->__SET('nInvLlaveRuedasIng', $r->nInvLlaveRuedasIng);
                $inv->__SET('nInvLlaveRuedasSal', $r->nInvLlaveRuedasSal);
                $inv->__SET('sInvLlaveRuedasObs', $r->sInvLlaveRuedasObs);
                $inv->__SET('nInvAntenaRadioIng', $r->nInvAntenaRadioIng);
                $inv->__SET('nInvAntenaRadioSal', $r->nInvAntenaRadioSal);
                $inv->__SET('sInvAntenaRadioObs', $r->sInvAntenaRadioObs);
                $inv->__SET('nInvLlantaRepuestoIng', $r->nInvLlantaRepuestoIng);
                $inv->__SET('nInvLlantaRepuestoSal', $r->nInvLlantaRepuestoSal);
                $inv->__SET('sInvLlantaRepuestoObs', $r->sInvLlantaRepuestoObs);
                $inv->__SET('sInvFoto1', $r->sInvFoto1);
                $inv->__SET('sInvFoto2', $r->sInvFoto2);
                $inv->__SET('sInvVideo', $r->sInvVideo);
                $inv->__SET('sInvVehiculoIng', $r->sInvVehiculoIng);
                $inv->__SET('sInvTanqueCombustibleIng', $r->sInvTanqueCombustibleIng);
                $inv->__SET('sInvVehiculoSal', $r->sInvVehiculoSal);
                $inv->__SET('sInvTanqueCombustibleSal', $r->sInvTanqueCombustibleSal);
                $inv->__SET('dInvFechaSalida', $r->dInvFechaSalida);
                $inv->__SET('dInvHoraSalida', $r->dInvHoraSalida);
                $inv->__SET('sInvFotoSalida', $r->sInvFotoSalida);
                $inv->__SET('sInvNombreReceptor', $r->sInvNombreReceptor);
                $inv->__SET('sInvCelularReceptor', $r->sInvCelularReceptor);
                $inv->__SET('sInvFirmaReceptor', $r->sInvFirmaReceptor);
                $inv->__SET('sInvNombreEntregador', $r->sInvNombreEntregador);
                $inv->__SET('sInvCelularEntregador', $r->sInvCelularEntregador);
                $inv->__SET('sInvFirmaEntregador', $r->sInvFirmaEntregador);
                $inv->__SET('nInvEstado', $r->nInvEstado);
                $inv->__SET('sOtNumOrden', $r->sOtNumOrden);
   
                $result[] = $inv;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function Buscar($inventario_Id){
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL inv_listarC($inventario_Id)");
            $stm->execute();
            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r){

                $inv = new Inventario();
                $inv->__SET('Inventario_Id', $r->Inventario_Id);
                $inv->__SET('OrdenTrabajo_Id', $r->OrdenTrabajo_Id);
                $inv->__SET('dInvFechaIngreso', $r->dInvFechaIngreso);
                $inv->__SET('dInvHoraIngreso', $r->dInvHoraIngreso);
                $inv->__SET('sInvPlaca', $r->sInvPlaca);
                $inv->__SET('sInvFotoIngreso', $r->sInvFotoIngreso);
                $inv->__SET('nInvKilometraje', $r->nInvKilometraje);
                $inv->__SET('nInvHorometro', $r->nInvHorometro);
                $inv->__SET('nInvCliente_Id', $r->nInvCliente_Id);
                $inv->__SET('nInvVehiculo_Id', $r->nInvVehiculo_Id);
                $inv->__SET('nInvFarosDelanterosIng', $r->nInvFarosDelanterosIng);
                $inv->__SET('nInvFarosDelanterosSal', $r->nInvFarosDelanterosSal);
                $inv->__SET('sInvFarosDelanterosObs', $r->sInvFarosDelanterosObs);
                $inv->__SET('nInvFarosPosterioresIng', $r->nInvFarosPosterioresIng);
                $inv->__SET('nInvFarosPosterioresSal', $r->nInvFarosPosterioresSal);
                $inv->__SET('sInvFarosPosterioresObs', $r->sInvFarosPosterioresObs);
                $inv->__SET('nInvFarosNeblinerosIng', $r->nInvFarosNeblinerosIng);
                $inv->__SET('nInvFarosNeblinerosSal', $r->nInvFarosNeblinerosSal);
                $inv->__SET('sInvFarosNeblinerosObs', $r->sInvFarosNeblinerosObs);
                $inv->__SET('nInvLucesDireccionalesIng', $r->nInvLucesDireccionalesIng);
                $inv->__SET('nInvLucesDireccionalesSal', $r->nInvLucesDireccionalesSal);
                $inv->__SET('sInvLucesDireccionalesObs', $r->sInvLucesDireccionalesObs);
                $inv->__SET('nInvFarosPiratasIng', $r->nInvFarosPiratasIng);
                $inv->__SET('nInvFarosPiratasSal', $r->nInvFarosPiratasSal);
                $inv->__SET('sInvFarosPiratasObs', $r->sInvFarosPiratasObs);
                $inv->__SET('nInvEspejosRetrovisoresIng', $r->nInvEspejosRetrovisoresIng);
                $inv->__SET('nInvEspejosRetrovisoresSal', $r->nInvEspejosRetrovisoresSal);
                $inv->__SET('sInvEspejosRetrovisoresObs', $r->sInvEspejosRetrovisoresObs);
                $inv->__SET('nInvPlumillasIng', $r->nInvPlumillasIng);
                $inv->__SET('nInvPlumillasSal', $r->nInvPlumillasSal);
                $inv->__SET('sInvPlumillasObs', $r->sInvPlumillasObs);
                $inv->__SET('nInvParabrisasDelanteraIng', $r->nInvParabrisasDelanteraIng);
                $inv->__SET('nInvParabrisasDelanteraSal', $r->nInvParabrisasDelanteraSal);
                $inv->__SET('sInvParabrisasDelanteraObs', $r->sInvParabrisasDelanteraObs);
                $inv->__SET('nInvParabrisasPosteriorIng', $r->nInvParabrisasPosteriorIng);
                $inv->__SET('nInvParabrisasPosteriorSal', $r->nInvParabrisasPosteriorSal);
                $inv->__SET('sInvParabrisasPosteriorObs', $r->sInvParabrisasPosteriorObs);
                $inv->__SET('nInvLunasLateralesIng', $r->nInvLunasLateralesIng);
                $inv->__SET('nInvLunasLateralesSal', $r->nInvLunasLateralesSal);
                $inv->__SET('sInvLunasLateralesObs', $r->sInvLunasLateralesObs);
                $inv->__SET('nInvRadioIng', $r->nInvRadioIng);
                $inv->__SET('nInvRadioSal', $r->nInvRadioSal);
                $inv->__SET('sInvRadioObs', $r->sInvRadioObs);
                $inv->__SET('nInvAireAcondicionadoIng', $r->nInvAireAcondicionadoIng);
                $inv->__SET('nInvAireAcondicionadoSal', $r->nInvAireAcondicionadoSal);
                $inv->__SET('sInvAireAcondicionadoObs', $r->sInvAireAcondicionadoObs);
                $inv->__SET('nInvTarjetaPropiedadIng', $r->nInvTarjetaPropiedadIng);
                $inv->__SET('nInvTarjetaPropiedadSal', $r->nInvTarjetaPropiedadSal);
                $inv->__SET('sInvTarjetaPropiedadObs', $r->sInvTarjetaPropiedadObs);
                $inv->__SET('nInvSoatIng', $r->nInvSoatIng);
                $inv->__SET('nInvSoatSal', $r->nInvSoatSal);
                $inv->__SET('sInvSoatObs', $r->sInvSoatObs);
                $inv->__SET('nInvCinturonesSeguridadIng', $r->nInvCinturonesSeguridadIng);
                $inv->__SET('nInvCinturonesSeguridadSal', $r->nInvCinturonesSeguridadSal);
                $inv->__SET('sInvCinturonesSeguridadObs', $r->sInvCinturonesSeguridadObs);
                $inv->__SET('nInvExtintorIng', $r->nInvExtintorIng);
                $inv->__SET('nInvExtintorSal', $r->nInvExtintorSal);
                $inv->__SET('sInvExtintorObs', $r->sInvExtintorObs);
                $inv->__SET('nInvTrianguloSeguridadIng', $r->nInvTrianguloSeguridadIng);
                $inv->__SET('nInvTrianguloSeguridadSal', $r->nInvTrianguloSeguridadSal);
                $inv->__SET('sInvTrianguloSeguridadObs', $r->sInvTrianguloSeguridadObs);
                $inv->__SET('nInvGataPalancaIng', $r->nInvGataPalancaIng);
                $inv->__SET('nInvGataPalancaSal', $r->nInvGataPalancaSal);
                $inv->__SET('sInvGataPalancaObs', $r->sInvGataPalancaObs);
                $inv->__SET('nInvLlaveRuedasIng', $r->nInvLlaveRuedasIng);
                $inv->__SET('nInvLlaveRuedasSal', $r->nInvLlaveRuedasSal);
                $inv->__SET('sInvLlaveRuedasObs', $r->sInvLlaveRuedasObs);
                $inv->__SET('nInvAntenaRadioIng', $r->nInvAntenaRadioIng);
                $inv->__SET('nInvAntenaRadioSal', $r->nInvAntenaRadioSal);
                $inv->__SET('sInvAntenaRadioObs', $r->sInvAntenaRadioObs);
                $inv->__SET('nInvLlantaRepuestoIng', $r->nInvLlantaRepuestoIng);
                $inv->__SET('nInvLlantaRepuestoSal', $r->nInvLlantaRepuestoSal);
                $inv->__SET('sInvLlantaRepuestoObs', $r->sInvLlantaRepuestoObs);
                $inv->__SET('sInvFoto1', $r->sInvFoto1);
                $inv->__SET('sInvFoto2', $r->sInvFoto2);
                $inv->__SET('sInvVideo', $r->sInvVideo);
                $inv->__SET('sInvVehiculoIng', $r->sInvVehiculoIng);
                $inv->__SET('sInvTanqueCombustibleIng', $r->sInvTanqueCombustibleIng);
                $inv->__SET('sInvVehiculoSal', $r->sInvVehiculoSal);
                $inv->__SET('sInvTanqueCombustibleSal', $r->sInvTanqueCombustibleSal);
                $inv->__SET('dInvFechaSalida', $r->dInvFechaSalida);
                $inv->__SET('dInvHoraSalida', $r->dInvHoraSalida);
                $inv->__SET('sInvFotoSalida', $r->sInvFotoSalida);
                $inv->__SET('sInvNombreReceptor', $r->sInvNombreReceptor);
                $inv->__SET('sInvCelularReceptor', $r->sInvCelularReceptor);
                $inv->__SET('sInvFirmaReceptor', $r->sInvFirmaReceptor);
                $inv->__SET('sInvNombreEntregador', $r->sInvNombreEntregador);
                $inv->__SET('sInvCelularEntregador', $r->sInvCelularEntregador);
                $inv->__SET('sInvFirmaEntregador', $r->sInvFirmaEntregador);

                $inv->__SET('nInvEliminado', $r->nInvEliminado);
                $inv->__SET('dInvFecha_Act', $r->dInvFecha_Act);
                $inv->__SET('nInvUsuario_Id', $r->nInvUsuario_Id);
                $inv->__SET('nInvEstado', $r->nInvEstado);
                $inv->__SET('sOtNumOrden', $r->sOtNumOrden);
                
                $result[] = $inv;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function Guardar(Inventario $data){
        try {
            $stm = $this->pdo->prepare("CALL inv_crear(?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,@inventarioId)"); //90
            $stm->execute(array(
                                $data->__get('OrdenTrabajo_Id'),
                                $data->__get('dInvFechaIngreso'),
                                $data->__get('dInvHoraIngreso'),
                                $data->__get('sInvPlaca'),
                                $data->__get('sInvFotoIngreso'),
                                $data->__get('nInvKilometraje'),
                                $data->__get('nInvHorometro'),
                                $data->__get('nInvCliente_Id'),
                                $data->__get('nInvVehiculo_Id'),
                                $data->__get('nInvFarosDelanterosIng'),
                                $data->__get('nInvFarosDelanterosSal'),
                                $data->__get('sInvFarosDelanterosObs'),
                                $data->__get('nInvFarosPosterioresIng'),
                                $data->__get('nInvFarosPosterioresSal'),
                                $data->__get('sInvFarosPosterioresObs'),
                                $data->__get('nInvFarosNeblinerosIng'),
                                $data->__get('nInvFarosNeblinerosSal'),
                                $data->__get('sInvFarosNeblinerosObs'),
                                $data->__get('nInvLucesDireccionalesIng'),
                                $data->__get('nInvLucesDireccionalesSal'),
                                $data->__get('sInvLucesDireccionalesObs'),
                                $data->__get('nInvFarosPiratasIng'),
                                $data->__get('nInvFarosPiratasSal'),
                                $data->__get('sInvFarosPiratasObs'),
                                $data->__get('nInvEspejosRetrovisoresIng'),
                                $data->__get('nInvEspejosRetrovisoresSal'),
                                $data->__get('sInvEspejosRetrovisoresObs'),
                                $data->__get('nInvPlumillasIng'),
                                $data->__get('nInvPlumillasSal'),
                                $data->__get('sInvPlumillasObs'),
                                $data->__get('nInvParabrisasDelanteraIng'),
                                $data->__get('nInvParabrisasDelanteraSal'),
                                $data->__get('sInvParabrisasDelanteraObs'),
                                $data->__get('nInvParabrisasPosteriorIng'),
                                $data->__get('nInvParabrisasPosteriorSal'),
                                $data->__get('sInvParabrisasPosteriorObs'),
                                $data->__get('nInvLunasLateralesIng'),
                                $data->__get('nInvLunasLateralesSal'),
                                $data->__get('sInvLunasLateralesObs'),
                                $data->__get('nInvRadioIng'),
                                $data->__get('nInvRadioSal'),
                                $data->__get('sInvRadioObs'),
                                $data->__get('nInvAireAcondicionadoIng'),
                                $data->__get('nInvAireAcondicionadoSal'),
                                $data->__get('sInvAireAcondicionadoObs'),
                                $data->__get('nInvTarjetaPropiedadIng'),
                                $data->__get('nInvTarjetaPropiedadSal'),
                                $data->__get('sInvTarjetaPropiedadObs'),
                                $data->__get('nInvSoatIng'),
                                $data->__get('nInvSoatSal'),
                                $data->__get('sInvSoatObs'),
                                $data->__get('nInvCinturonesSeguridadIng'),
                                $data->__get('nInvCinturonesSeguridadSal'),
                                $data->__get('sInvCinturonesSeguridadObs'),
                                $data->__get('nInvExtintorIng'),
                                $data->__get('nInvExtintorSal'),
                                $data->__get('sInvExtintorObs'),
                                $data->__get('nInvTrianguloSeguridadIng'),
                                $data->__get('nInvTrianguloSeguridadSal'),
                                $data->__get('sInvTrianguloSeguridadObs'),
                                $data->__get('nInvGataPalancaIng'),
                                $data->__get('nInvGataPalancaSal'),
                                $data->__get('sInvGataPalancaObs'),
                                $data->__get('nInvLlaveRuedasIng'),
                                $data->__get('nInvLlaveRuedasSal'),
                                $data->__get('sInvLlaveRuedasObs'),
                                $data->__get('nInvAntenaRadioIng'),
                                $data->__get('nInvAntenaRadioSal'),
                                $data->__get('sInvAntenaRadioObs'),
                                $data->__get('nInvLlantaRepuestoIng'),
                                $data->__get('nInvLlantaRepuestoSal'),
                                $data->__get('sInvLlantaRepuestoObs'),
                                $data->__get('sInvFoto1'),
                                $data->__get('sInvFoto2'),
                                $data->__get('sInvVideo'),
                                $data->__get('sInvVehiculoIng'),
                                $data->__get('sInvTanqueCombustibleIng'),
                                $data->__get('sInvVehiculoSal'),
                                $data->__get('sInvTanqueCombustibleSal'),
                                $data->__get('dInvFechaSalida'),
                                $data->__get('dInvHoraSalida'),
                                $data->__get('sInvFotoSalida'),
                                $data->__get('sInvNombreReceptor'),
                                $data->__get('sInvCelularReceptor'),
                                $data->__get('sInvFirmaReceptor'),
                                $data->__get('sInvNombreEntregador'),
                                $data->__get('sInvCelularEntregador'),
                                $data->__get('sInvFirmaEntregador'),
                                $data->__get('nInvEliminado'),
                                //$data->__get('dInvFecha_Act'),
                                $data->__get('nInvUsuario_Id'),
                                $data->__get('nInvEstado'),
                         ));

        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    
    public function Editar(Inventario $data){
        try {
            $stm = $this->pdo->prepare("CALL inv_editar(?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)"); //92
            $stm->execute(array(
                            $data->__get('Inventario_Id'),
                            $data->__get('OrdenTrabajo_Id'),
                            $data->__get('dInvFechaIngreso'),
                            $data->__get('dInvHoraIngreso'),
                            $data->__get('sInvPlaca'),
                            $data->__get('sInvFotoIngreso'),
                            $data->__get('nInvKilometraje'),
                            $data->__get('nInvHorometro'),
                            $data->__get('nInvCliente_Id'),
                            $data->__get('nInvVehiculo_Id'),
                            $data->__get('nInvFarosDelanterosIng'),
                            $data->__get('nInvFarosDelanterosSal'),
                            $data->__get('sInvFarosDelanterosObs'),
                            $data->__get('nInvFarosPosterioresIng'),
                            $data->__get('nInvFarosPosterioresSal'),
                            $data->__get('sInvFarosPosterioresObs'),
                            $data->__get('nInvFarosNeblinerosIng'),
                            $data->__get('nInvFarosNeblinerosSal'),
                            $data->__get('sInvFarosNeblinerosObs'),
                            $data->__get('nInvLucesDireccionalesIng'),
                            $data->__get('nInvLucesDireccionalesSal'),
                            $data->__get('sInvLucesDireccionalesObs'),
                            $data->__get('nInvFarosPiratasIng'),
                            $data->__get('nInvFarosPiratasSal'),
                            $data->__get('sInvFarosPiratasObs'),
                            $data->__get('nInvEspejosRetrovisoresIng'),
                            $data->__get('nInvEspejosRetrovisoresSal'),
                            $data->__get('sInvEspejosRetrovisoresObs'),
                            $data->__get('nInvPlumillasIng'),
                            $data->__get('nInvPlumillasSal'),
                            $data->__get('sInvPlumillasObs'),
                            $data->__get('nInvParabrisasDelanteraIng'),
                            $data->__get('nInvParabrisasDelanteraSal'),
                            $data->__get('sInvParabrisasDelanteraObs'),
                            $data->__get('nInvParabrisasPosteriorIng'),
                            $data->__get('nInvParabrisasPosteriorSal'),
                            $data->__get('sInvParabrisasPosteriorObs'),
                            $data->__get('nInvLunasLateralesIng'),
                            $data->__get('nInvLunasLateralesSal'),
                            $data->__get('sInvLunasLateralesObs'),
                            $data->__get('nInvRadioIng'),
                            $data->__get('nInvRadioSal'),
                            $data->__get('sInvRadioObs'),
                            $data->__get('nInvAireAcondicionadoIng'),
                            $data->__get('nInvAireAcondicionadoSal'),
                            $data->__get('sInvAireAcondicionadoObs'),
                            $data->__get('nInvTarjetaPropiedadIng'),
                            $data->__get('nInvTarjetaPropiedadSal'),
                            $data->__get('sInvTarjetaPropiedadObs'),
                            $data->__get('nInvSoatIng'),
                            $data->__get('nInvSoatSal'),
                            $data->__get('sInvSoatObs'),
                            $data->__get('nInvCinturonesSeguridadIng'),
                            $data->__get('nInvCinturonesSeguridadSal'),
                            $data->__get('sInvCinturonesSeguridadObs'),
                            $data->__get('nInvExtintorIng'),
                            $data->__get('nInvExtintorSal'),
                            $data->__get('sInvExtintorObs'),
                            $data->__get('nInvTrianguloSeguridadIng'),
                            $data->__get('nInvTrianguloSeguridadSal'),
                            $data->__get('sInvTrianguloSeguridadObs'),
                            $data->__get('nInvGataPalancaIng'),
                            $data->__get('nInvGataPalancaSal'),
                            $data->__get('sInvGataPalancaObs'),
                            $data->__get('nInvLlaveRuedasIng'),
                            $data->__get('nInvLlaveRuedasSal'),
                            $data->__get('sInvLlaveRuedasObs'),
                            $data->__get('nInvAntenaRadioIng'),
                            $data->__get('nInvAntenaRadioSal'),
                            $data->__get('sInvAntenaRadioObs'),
                            $data->__get('nInvLlantaRepuestoIng'),
                            $data->__get('nInvLlantaRepuestoSal'),
                            $data->__get('sInvLlantaRepuestoObs'),
                            $data->__get('sInvFoto1'),
                            $data->__get('sInvFoto2'),
                            $data->__get('sInvVideo'),
                            $data->__get('sInvVehiculoIng'),
                            $data->__get('sInvTanqueCombustibleIng'),
                            $data->__get('sInvVehiculoSal'),
                            $data->__get('sInvTanqueCombustibleSal'),
                            $data->__get('dInvFechaSalida'),
                            $data->__get('dInvHoraSalida'),
                            $data->__get('sInvFotoSalida'),
                            $data->__get('sInvNombreReceptor'),
                            $data->__get('sInvCelularReceptor'),
                            $data->__get('sInvFirmaReceptor'),
                            $data->__get('sInvNombreEntregador'),
                            $data->__get('sInvCelularEntregador'),
                            $data->__get('sInvFirmaEntregador'),
                            $data->__get('nInvEliminado'),
                            //$data->__get('dInvFecha_Act'),
                            $data->__get('nInvUsuario_Id'),
                            $data->__get('nInvEstado')
                    ));
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }


    public function Eliminar(Inventario $data){
        try {
            $stm = $this->pdo->prepare("CALL inv_ocultar(?,?)");
            $stm->execute(array(
                                $data->__get('Inventario_Id'),
                                $data->__get('nInvUsuario_Id')
                            ));
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

}