window.FuncionesInventario = window.FuncionesInventario || {};
window.FuncionesInventario.FrmGuardarInventario = FrmGuardarInventario;

function FrmGuardarInventario(OrdenTrabajo_Id = '') {
     $.post('?c=Inventario&a=FrmGuardarInventario', {OrdenTrabajo_Id: OrdenTrabajo_Id}, function (data) {
		$('.content-wrapper').html(data);
	});
}

function GuardarInventario(valor = '') {
	var formData = new FormData();

	// Serializar inputs normales
	$('#FormInventario').serializeArray().map(function (x) {
	    formData.append(x.name, x.value);
	})
 
	// Incluir checkboxes no marcados
	$('#FormInventario input[type="checkbox"]:not(:checked)').each(function () {
	    if (!formData.has(this.name)) {
		   formData.append(this.name, '0');
	    }
	})
 
	// Incluir campos deshabilitados
	$('#FormInventario input[type="checkbox"]:checked:disabled,' +
	    '#FormInventario input[type="text"]:disabled,' +
	    '#FormInventario input[type="range"]:disabled,' +
	    '#FormInventario textarea:disabled').each(function () {
	    if (!formData.has(this.name)) {
		   formData.append(this.name, this.value);
	    }
	})
 
	// Incluir archivos
	$('#FormInventario input[type="file"]').each(function () {
	    if (this.files.length > 0) {
		   for (var i = 0; i < this.files.length; i++) {
			  formData.append(this.name, this.files[i]); 
		   }
	    }
	})

	//incluir select
	$('#FormInventario select:disabled').each(function () {
		if (!formData.has(this.name)) {
			formData.append(this.name, this.value);
		 }
	})


	$.ajax({
		url: '?c=Inventario&a=GuardarInventario',
		type: 'POST',
		data: formData,
		processData: false, // Evita que jQuery procese los datos
		contentType: false, // Evita que jQuery establezca el tipo de contenido
		success: function (data) {
		    const response = JSON.parse(data);
		    if (response.success) {
				swal('Exito', 'El inventario se guardó exitosamente', 'success')
				.then(() => {
					if (valor == '') {
						window.location.href = '?c=Inventario&a=Index'
					} else {
						window.location.href = '?c=Atencion&a=Index'
					}
				})
		    }
		}
	})

}

function FrmEditarInventario(Inventario_Id) {
	$.post('?c=Inventario&a=FrmEditarInventario',{   
		Inventario_Id: Inventario_Id
	},function(data){
	    $(".content-wrapper").html(data);        
	});
}