<style>
    .inp-cantidad {
        width: 5rem;
        margin: auto;
        text-align: center;
    }

    .inp-precio {
        width: 9rem;
        margin: auto;
        text-align: center;
    }

    .nopromovido tr td input[type='text'] {
        background-color: transparent !important;
        color: black !important;
        border: 0 !important;
    }


/* Contenedor para las imágenes */
/* .image-preview {
    width: 100%;
    height: 150px;
    border: 1px dashed #ccc;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #f8f8f8;
    margin-bottom: 10px;
    text-align: center;
    color: #999;
}
.image-preview img {
    max-width: 100%;
    max-height: 100%;
    object-fit: contain;
} */

/* General Styles */
.form-group {
    margin-bottom: 20px;
}

.section-label {
    font-size: 2rem;
    font-weight: bold;
    margin-bottom: 10px;
    display: block;
}

/* Buttons Group Styling */
.btn-group {
    display: flex;
    gap: 10px; /* Separación entre botones */
    justify-content: space-between;
}

.btnboton {
    display: inline-block;
    text-align: center;
    padding: 10px 15px;
    font-size: 1.5rem;
    border-radius: 5px;
    text-decoration: none;
    color: white;
    font-weight: bold;
    flex: 1; /* Hace que los botones ocupen el espacio restante */
}

/* Button Colors */
.btn-orange {
    background-color: orange;
    cursor: pointer;
    border: 1px solid #e67e22;
}

.btn-red {
    background-color: red;
    border: 1px solid #c0392b;
}

.btn-delete {
    background-color:rgb(207, 83, 83);
    border: 1px solid #7f8c8d;
    color: white;
}

/* Responsive Adjustments */
/* @media (max-width: 768px) {
    .btn-group {
        flex-direction: column;
    }
} */


/* FIRMAS */

label.error { color: red; }

.firma,
.vehiculo{
    display: block;
    width: 100%;
    position:relative;
}
.firma-opts{
    margin-top: 5px;
    display: flex;
    justify-content: center;
}
.firma-opts div:not(:first-child):not(:last-child){
    padding-right: 0;
    padding-left: 0;
}
.firma-opts div:first-child{
    padding-right: 0.5rem;
}
.firma-opts div:last-child{
    padding-left: 0.5rem;
}
canvas{
    display: block;
    width: 100%;
        border:none;
    -webkit-box-sizing: border-box; /* <=iOS4, <= Android  2.3 */
        -moz-box-sizing: border-box; /* FF1+ */
            box-sizing: border-box; /* Chrome, IE8, Opera, Safari 5.1*/
}
.firma>canvas{
    border: 2px dotted black;
}

#table_equipo, #table_equipo2 {
    width: 100% !important;
}

#table_equipo_length {
    display: none;
}

#table_equipo_wrapper .row:first-of-type .col-xs-6:nth-of-type(2) {
    width: 100% !important;
    display: flex !important;
    justify-content: end;
}

#table_equipo2_wrapper .row:first-of-type .col-xs-6:nth-of-type(2) {
    width: 100% !important;
    display: flex !important;
    justify-content: end;
}

#table_equipo2_length {
    display: none;
}


.spinner {
    width: 56px;
    height: 56px;
    border-radius: 50%;
    background: radial-gradient(farthest-side,#474bff 94%,#0000) top/9px 9px no-repeat,
            conic-gradient(#0000 30%,#474bff);
    -webkit-mask: radial-gradient(farthest-side,#0000 calc(100% - 9px),#000 0);
    animation: spinner-c7wet2 1s infinite linear;
}

@keyframes spinner-c7wet2 {
    100% {
        transform: rotate(1turn);
    }
}

.table + .row {
    display: flex !important;
    flex-direction: column !important;
    align-items: center !important;
    justify-content: center !important;
}

.table + .row > .col-xs-6 {
    width: 100% !important;
    text-align: center;
}

#table_equipo_info {
    display: none;
}

#table_equipo2_info {
    display: none;
}
input[type=checkbox] {
    margin-bottom: 2px;
    margin-left: 2px;
}

.styled-input {
    border: none;
    border-bottom: 1px solid black;
    border-radius: 0; 
    width: 100%; 
    margin: auto; 
    display: block; 
}


/* @media (1200px <= width <= 1980px) {
    .styled-input {
        width: 50%;
    }
} */

.form-group-cli {
    text-align: center; /* Centrar el contenido */
}
.col-form-label {
    display: block; 
}

.imgwidth {
    max-width: 300px;
}

table textarea{
	border:none;
    width: 100%;
    -webkit-box-sizing: border-box; /* <=iOS4, <= Android  2.3 */
      -moz-box-sizing: border-box; /* FF1+ */
          box-sizing: border-box; /* Chrome, IE8, Opera, Safari 5.1*/
	}
	.form-check-inline{
		display: inline;
	}
  .firma,
  .vehiculo{
    display: block;
    width: 100%;
    position:relative;
  }
  .firma-opts{
    margin-top: 5px;
  }
  .firma-opts div:not(:first-child):not(:last-child){
    padding-right: 0;
    padding-left: 0;
  }
  .firma-opts div:first-child{
    padding-right: 0.5rem;
  }
  .firma-opts div:last-child{
    padding-left: 0.5rem;
  }
  canvas{
    display: block;
    width: 100%;
		border:none;
    -webkit-box-sizing: border-box; /* <=iOS4, <= Android  2.3 */
      -moz-box-sizing: border-box; /* FF1+ */
          box-sizing: border-box; /* Chrome, IE8, Opera, Safari 5.1*/
  }
  .firma>canvas{
    border: 2px dotted black;
  }
  .vehiculo>canvas{
    border: 1px solid #ddd;
    border-radius: 4px;
  }
  .img-vehiculo{
    /* background-image: url('./view/librerias/dist/img/vehiculo_checklist.jpg'); */
    background-image: url('./view/librerias/dist/img/checklist.png');
    background-repeat: no-repeat;
    background-size: 100%;
    background-color: red;
  }
  .pad-disabled{
    background-color:rgb(235, 9, 9);
    opacity: .1;
    position:absolute;
    border-radius: 4px;
    top:0;
    left:0;
    width: 100%;
    height: 100%;
  }
  .p-0{
    padding: 0 !important;
  }
  .p-1{
    padding: 1px !important;
  }
  .d-none{
    display: none;
  }
  .position-relative{
    position: relative;
  }

  .fuel-container {
    display: flex;
    align-items: center;
    gap: 10px;
  }

  .fuel-meter {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 3px;
  }

  .fuel-bar {
    width: 80px;
    height: 15px;
    background-color: #ddd;
    border-radius: 3px;
    cursor: pointer;
    transition: background 0.3s;
  }

  .fuel-bar.active {
    background-color: black;
  }

  .fuel-bar.low {
    background-color: red;
  }

  .fuel-icon {
    width: 50px;
    height: 50px;
  }

  .fuel-labels {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
    font-weight: bold;
  }

  .fuel-labels span {
    font-size: 14px;
  }

  .fuel-labels .empty {
    color: red;
  }

  .img-tanque {
    width: 15rem;
  }
</style>

<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
    Recepción/Salida
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i>Inicio</a></li>
        <li><a href="#">Recepción/Salida</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-md-12">
            <div class="box box-primary" style="border-color: orange;">

                <form action="javascript:GuardarInventario('<?= isset($OrdenTrabajo_Id) && $OrdenTrabajo_Id != '' ? $OrdenTrabajo_Id : '' ?>');" method="POST" id="FormInventario" enctype="multipart/form-data">

                    <div class="row">

                        <div class="col-md-12">
                            <?php if (isset($OrdenTrabajo_Id)) { ?>
                                <?php if ($OrdenTrabajo_Id == '') { ?>
                                    <div class="box-header" style="background-color:rgb(224, 218, 218);">
                                        <h3 class="box-title" style="color: black; font-weight: 500;">Orden de Trabajo</h3>
                                    </div>
                                <?php } ?>
                            <?php } ?>

                            <div class="box-body">
                                <div id="resultado"></div>

                                <input type="hidden" name="Inventario_Id" id="Inventario_Id" value="<?php echo isset($r) ? $r->__GET('Inventario_Id') : '0'; ?>">

                                <?php if (isset($OrdenTrabajo_Id)) { ?>
                                    <?php if ($OrdenTrabajo_Id == '') { ?>
                                        <div class="row">
                                            <div class="col-md-4 form-group">
                                                <label>Orden de Trabajo</label>
                                                <select class="form-control" name="OrdenTrabajo_Id" id="OrdenTrabajo_Id">
                                                    <option value="0">n/a</option>
                                                    <?php foreach ($atenciones as $ate) { ?>
                                                            <option value="<?php echo $ate->__GET('OrdenTrabajo_Id'); ?>"
                                                            <?php echo isset($r) ? $r->__GET('OrdenTrabajo_Id') == $ate->__GET('OrdenTrabajo_Id')
                                                                        ? 'selected'
                                                                        : ''
                                                                        : '';
                                                                ?>  > <?php echo $ate->__GET('sOtNumOrden'); ?> </option>
                                                    <?php } ?>
                                                </select>
                                            </div>
                                        </div>
                                    <?php } else { ?>
                                        <input type="hidden" name="OrdenTrabajo_Id" id="OrdenTrabajo_Id" value="<?= $OrdenTrabajo_Id ?>">
                                    <?php } ?>
                                <?php } ?>
                            </div>
                        </div>

                        <div class="col-md-12">
                            <div class="box-header" style="background-color:rgb(224, 218, 218);">
                                <h3 class="box-title" style="color: black; font-weight: 500;">Datos de Ingreso</h3>
                            </div>

                            <div class="box-body">
                                <div class="row">

                                    <div class="col-md-4 form-group">
                                        <label>Cliente</label>
                                        <select name="nInvCliente_Id" id="nInvCliente_Id" class="form-control">
                                                    <?php foreach ($clientes as $clie) {
                                                        if ($clie->__GET('nODTipo') == 2) {
                                                    ?>
                                                        <option 
                                                            value="<?=$clie->__GET('OrigenDestino_Id')?>"
                                                            <?= isset($r) ? $r->__GET('nInvCliente_Id') == $clie->__GET('OrigenDestino_Id')
                                                                ? 'selected' 
                                                                : '' 
                                                                : ''
                                                            ?>
                                                        >
                                                            <?=$clie->__GET('sODNombre') ?>
                                                        </option>
                                                    <?php
                                                        }
                                                    } ?>
                                        </select>   
                                    </div>
                                    <div class="col-md-4 form-group">
                                        <label>Vehículo</label>
                                        <select name="nInvVehiculo_Id" id="nInvVehiculo_Id" class="form-control">
                                                
                                        </select>
                                            
                                    </div>

                                    <div class="col-md-4 form-group">
                                        <label>Placa</label>
                                        <input type="text" name="sInvPlaca" id="sInvPlaca" class="form-control" value="<?php echo isset($r) ? $r->__GET('sInvPlaca'):'';?>">
                                    </div>
                                    
                                    <div class="col-md-6 form-group">
                                        <label>Fecha de ingreso</label>
                                        <input type="text" class="form-control" name="dInvFechaIngreso" id="dInvFechaIngreso" value="<?php echo isset($r) ? $r->__GET('dInvFechaIngreso') : date('Y-m-d'); ?>" data-fechformat="<?php echo isset($r) ? $r->__GET('dInvFechaIngreso') : date('Y-m-d'); ?>">
                                    </div>

                                    <div class="col-md-6 form-group">
                                        <label>Hora de ingreso</label>
                                        <input type="text" name="dInvHoraIngreso" id="dInvHoraIngreso" class="form-control" value="<?php echo isset($r) ? $r->__GET('dInvHoraIngreso') : date('H:i:s'); ?>" data-fechformat="<?php echo isset($r) ? $r->__GET('dInvHoraIngreso') : date('H:i:s'); ?>">
                                    </div>

                                </div>
                            </div>
                        </div>

                        <div class="col-md-12">
                            <div class="box-header" style="background-color:rgb(224, 218, 218);">
                                <h3 class="box-title" style="color: black; font-weight: 500;">Foto de ingreso</h3>
                            </div>

                            <div class="box-body">
                                <div class="row">
                                    <?php 
                                        $ruta = isset($r) ? $r->__GET('sInvFotoIngreso') : '';
                                        $nombreArchivo = basename($ruta);
                                    ?>
                                    <div class="col-md-12 form-group">
                                        <label>Seleccionar foto</label>
                                        <input type="file" class="form-control" accept=".jpeg, .png, .jpg" name="sInvFotoIngreso" id="sInvFotoIngreso">
                                        <input type="hidden" name="sInvFotoIngresoActual" id="sInvFotoIngresoActual" value="<?= $ruta; ?>">
                                        <span id="file-name"><?php echo $nombreArchivo; ?></span>
                                    </div>

                                </div>
                            </div>
                        </div>

                        <div class="col-md-12">
                            <div class="box-header" style="background-color:rgb(224, 218, 218);">
                                <h3 class="box-title" style="color: black; font-weight: 500;">Mediciones</h3>
                            </div>

                            <div class="box-body">
                                <div class="row">
                                    
                                    <div class="col-md-6 form-group">
                                        <label>Kilometraje</label>
                                        <input type="number" class="form-control" name="nInvKilometraje" id="nInvKilometraje" value="<?php echo isset($r) ? $r->__GET('nInvKilometraje'):'';?>">
                                    </div>

                                    <div class="col-md-6 form-group">
                                        <label>Horómetro</label>
                                        <input type="number" name="nInvHorometro" id="nInvHorometro" class="form-control" value="<?php echo isset($r) ? $r->__GET('nInvHorometro'):'';?>">
                                    </div>

                                </div>
                            </div>
                        </div>

                        <div class="col-md-12">
                            <div class="box-body">

                                <div class="row">
                                    
                                <div class="box-body">
                                    <table id="example1" class="table table-bordered table-striped table-hover text-center">
                                        <thead>
                                            <tr style="background-color:rgb(204, 202, 202);">
                                                <th>INVENTARIO</th>
                                                <th>
                                                    <input type="checkbox" id="IngresoSeleccionarAll">
                                                    INGRESO
                                                </th>
                                                <th>
                                                    <input type="checkbox" id="SalidaSeleccionarAll">
                                                    SALIDA
                                                </th>
                                                <th>OBSERVACION</th>

                                            </tr>
                                        </thead>                  	
                                        <tbody>  

                                            <tr>
                                                <td>Aire Acondicionado</td>
                                                <td>
                                                    <input type="checkbox" class="form-check-input check-entrega" value="1" name="nInvAireAcondicionadoIng" id="nInvAireAcondicionadoIng" <?php echo isset($r)? ($r->__get('nInvAireAcondicionadoIng')=='1'?'checked':'') : '' ; ?>>
                                                </td>
                                                <td>
                                                    <input type="checkbox" class="form-check-input check-viene" value="1" name="nInvAireAcondicionadoSal" id="nInvAireAcondicionadoSal" <?php echo isset($r)? ($r->__get('nInvAireAcondicionadoSal')=='1'?'checked':'') : '' ; ?>>
                                                </td>
                                                <td>
                                                    <textarea name="sInvAireAcondicionadoObs" id="sInvAireAcondicionadoObs" class="form-control" placeholder="Ingresar" rows="4"><?php echo isset($r) ? $r->__GET('sInvAireAcondicionadoObs'):'';?></textarea>
                                                </td>
                                            </tr>

                                            <tr>
                                                <td>Antena de Radio</td>
                                                <td>
                                                    <input type="checkbox" class="form-check-input check-entrega" value="1" name="nInvAntenaRadioIng" id="nInvAntenaRadioIng" <?php echo isset($r)? ($r->__get('nInvAntenaRadioIng')=='1'?'checked':'') : '' ; ?>>
                                                </td>
                                                <td>
                                                    <input type="checkbox" class="form-check-input check-viene" value="1" name="nInvAntenaRadioSal" id="nInvAntenaRadioSal" <?php echo isset($r)? ($r->__get('nInvAntenaRadioSal')=='1'?'checked':'') : '' ; ?>>
                                                </td>
                                                <td>
                                                    <textarea name="sInvAntenaRadioObs" id="sInvAntenaRadioObs" class="form-control" placeholder="Ingresar" rows="4"><?php echo isset($r) ? $r->__GET('sInvAntenaRadioObs'):'';?></textarea>
                                                </td>
                                            </tr>

                                            <tr>
                                                <td>Cinturones de Seguridad</td>
                                                <td>
                                                    <input type="checkbox" class="form-check-input check-entrega" value="1" name="nInvCinturonesSeguridadIng" id="nInvCinturonesSeguridadIng" <?php echo isset($r)? ($r->__get('nInvCinturonesSeguridadIng')=='1'?'checked':'') : '' ; ?>>
                                                </td>
                                                <td>
                                                    <input type="checkbox" class="form-check-input check-viene" value="1" name="nInvCinturonesSeguridadSal" id="nInvCinturonesSeguridadSal" <?php echo isset($r)? ($r->__get('nInvCinturonesSeguridadSal')=='1'?'checked':'') : '' ; ?>>
                                                </td>
                                                <td>
                                                    <textarea name="sInvCinturonesSeguridadObs" id="sInvCinturonesSeguridadObs" class="form-control" placeholder="Ingresar" rows="4"><?php echo isset($r) ? $r->__GET('sInvCinturonesSeguridadObs'):'';?></textarea>
                                                </td>
                                            </tr>

                                            <tr>
                                                <td>Espejos Retrovisores</td>
                                                <td>
                                                    <input type="checkbox" class="form-check-input check-entrega" value="1" name="nInvEspejosRetrovisoresIng" id="nInvEspejosRetrovisoresIng" <?php echo isset($r)? ($r->__get('nInvEspejosRetrovisoresIng')=='1'?'checked':'') : '' ; ?>>
                                                </td>
                                                <td>
                                                    <input type="checkbox" class="form-check-input check-viene" value="1" name="nInvEspejosRetrovisoresSal" id="nInvEspejosRetrovisoresSal" <?php echo isset($r)? ($r->__get('nInvEspejosRetrovisoresSal')=='1'?'checked':'') : '' ; ?>>
                                                </td>
                                                <td>
                                                    <textarea name="sInvEspejosRetrovisoresObs" id="sInvEspejosRetrovisoresObs" class="form-control" placeholder="Ingresar" rows="4"><?php echo isset($r) ? $r->__GET('sInvEspejosRetrovisoresObs'):'';?></textarea>
                                                </td>
                                            </tr>

                                            <tr>
                                                <td>Extintor</td>
                                                <td>
                                                    <input type="checkbox" class="form-check-input check-entrega" value="1" name="nInvExtintorIng" id="nInvExtintorIng" <?php echo isset($r)? ($r->__get('nInvExtintorIng')=='1'?'checked':'') : '' ; ?>>
                                                </td>
                                                <td>
                                                    <input type="checkbox" class="form-check-input check-viene" value="1" name="nInvExtintorSal" id="nInvExtintorSal" <?php echo isset($r)? ($r->__get('nInvExtintorSal')=='1'?'checked':'') : '' ; ?>>
                                                </td>
                                                <td>
                                                    <textarea name="sInvExtintorObs" id="sInvExtintorObs" class="form-control" placeholder="Ingresar" rows="4"><?php echo isset($r) ? $r->__GET('sInvExtintorObs'):'';?></textarea>
                                                </td>
                                            </tr>

                                            <tr>
                                                <td>Faros Delanteros</td>
                                                <td>
                                                    <input type="checkbox" class="form-check-input check-entrega" value="1" name="nInvFarosDelanterosIng" id="nInvFarosDelanterosIng" <?php echo isset($r)? ($r->__get('nInvFarosDelanterosIng')=='1'?'checked':'') : '' ; ?>>
                                                </td>
                                                <td>
                                                    <input type="checkbox" class="form-check-input check-viene" value="1" name="nInvFarosDelanterosSal" id="nInvFarosDelanterosSal" <?php echo isset($r)? ($r->__get('nInvFarosDelanterosSal')=='1'?'checked':'') : '' ; ?>>
                                                </td>
                                                <td>
                                                    <textarea name="sInvFarosDelanterosObs" id="sInvFarosDelanterosObs" class="form-control" placeholder="Ingresar" rows="4"><?php echo isset($r) ? $r->__GET('sInvFarosDelanterosObs'):'';?></textarea>
                                                </td>
                                            </tr>

                                            <tr>
                                                <td>Faros Neblineros</td>
                                                <td>
                                                    <input type="checkbox" class="form-check-input check-entrega" value="1" name="nInvFarosNeblinerosIng" id="nInvFarosNeblinerosIng" <?php echo isset($r)? ($r->__get('nInvFarosNeblinerosIng')=='1'?'checked':'') : '' ; ?>>
                                                </td>
                                                <td>
                                                    <input type="checkbox" class="form-check-input check-viene" value="1" name="nInvFarosNeblinerosSal" id="nInvFarosNeblinerosSal" <?php echo isset($r)? ($r->__get('nInvFarosNeblinerosSal')=='1'?'checked':'') : '' ; ?>>
                                                </td>
                                                <td>
                                                    <textarea name="sInvFarosNeblinerosObs" id="sInvFarosNeblinerosObs" class="form-control" placeholder="Ingresar" rows="4"><?php echo isset($r) ? $r->__GET('sInvFarosNeblinerosObs'):'';?></textarea>
                                                </td>
                                            </tr>

                                            <tr>
                                                <td>Faros Piratas</td>
                                                <td>
                                                    <input type="checkbox" class="form-check-input check-entrega" value="1" name="nInvFarosPiratasIng" id="nInvFarosPiratasIng" <?php echo isset($r)? ($r->__get('nInvFarosPiratasIng')=='1'?'checked':'') : '' ; ?>>
                                                </td>
                                                <td>
                                                    <input type="checkbox" class="form-check-input check-viene" value="1" name="nInvFarosPiratasSal" id="nInvFarosPiratasSal" <?php echo isset($r)? ($r->__get('nInvFarosPiratasSal')=='1'?'checked':'') : '' ; ?>>
                                                </td>
                                                <td>
                                                    <textarea name="sInvFarosPiratasObs" id="sInvFarosPiratasObs" class="form-control" placeholder="Ingresar" rows="4"><?php echo isset($r) ? $r->__GET('sInvFarosPiratasObs'):'';?></textarea>
                                                </td>
                                            </tr>

                                            <tr>
                                                <td>Faros Posteriores</td>
                                                <td>
                                                    <input type="checkbox" class="form-check-input check-entrega" value="1" name="nInvFarosPosterioresIng" id="nInvFarosPosterioresIng" <?php echo isset($r)? ($r->__get('nInvFarosPosterioresIng')=='1'?'checked':'') : '' ; ?>>
                                                </td>
                                                <td>
                                                    <input type="checkbox" class="form-check-input check-viene" value="1" name="nInvFarosPosterioresSal" id="nInvFarosPosterioresSal" <?php echo isset($r)? ($r->__get('nInvFarosPosterioresSal')=='1'?'checked':'') : '' ; ?>>
                                                </td>
                                                <td>
                                                    <textarea name="sInvFarosPosterioresObs" id="sInvFarosPosterioresObs" class="form-control" placeholder="Ingresar" rows="4"><?php echo isset($r) ? $r->__GET('sInvFarosPosterioresObs'):'';?></textarea>
                                                </td>
                                            </tr>

                                            <tr>
                                                <td>Gata y Palanca</td>
                                                <td>
                                                    <input type="checkbox" class="form-check-input check-entrega" value="1" name="nInvGataPalancaIng" id="nInvGataPalancaIng" <?php echo isset($r)? ($r->__get('nInvGataPalancaIng')=='1'?'checked':'') : '' ; ?>>
                                                </td>
                                                <td>
                                                    <input type="checkbox" class="form-check-input check-viene" value="1" name="nInvGataPalancaSal" id="nInvGataPalancaSal" <?php echo isset($r)? ($r->__get('nInvGataPalancaSal')=='1'?'checked':'') : '' ; ?>>
                                                </td>
                                                <td>
                                                    <textarea name="sInvGataPalancaObs" id="sInvGataPalancaObs" class="form-control" placeholder="Ingresar" rows="4"><?php echo isset($r) ? $r->__GET('sInvGataPalancaObs'):'';?></textarea>
                                                </td>
                                            </tr>

                                            <tr>
                                                <td>Llanta de Repuesto</td>
                                                <td>
                                                    <input type="checkbox" class="form-check-input check-entrega" value="1" name="nInvLlantaRepuestoIng" id="nInvLlantaRepuestoIng" <?php echo isset($r)? ($r->__get('nInvLlantaRepuestoIng')=='1'?'checked':'') : '' ; ?>>
                                                </td>
                                                <td>
                                                    <input type="checkbox" class="form-check-input check-viene" value="1" name="nInvLlantaRepuestoSal" id="nInvLlantaRepuestoSal" <?php echo isset($r)? ($r->__get('nInvLlantaRepuestoSal')=='1'?'checked':'') : '' ; ?>>
                                                </td>
                                                <td>
                                                    <textarea name="sInvLlantaRepuestoObs" id="sInvLlantaRepuestoObs" class="form-control" placeholder="Ingresar" rows="4"><?php echo isset($r) ? $r->__GET('sInvLlantaRepuestoObs'):'';?></textarea>
                                                </td>
                                            </tr>

                                            <tr>
                                                <td>Llave de Ruedas</td>
                                                <td>
                                                    <input type="checkbox" class="form-check-input check-entrega" value="1" name="nInvLlaveRuedasIng" id="nInvLlaveRuedasIng" <?php echo isset($r)? ($r->__get('nInvLlaveRuedasIng')=='1'?'checked':'') : '' ; ?>>
                                                </td>
                                                <td>
                                                    <input type="checkbox" class="form-check-input check-viene" value="1" name="nInvLlaveRuedasSal" id="nInvLlaveRuedasSal" <?php echo isset($r)? ($r->__get('nInvLlaveRuedasSal')=='1'?'checked':'') : '' ; ?>>
                                                </td>
                                                <td>
                                                    <textarea name="sInvLlaveRuedasObs" id="sInvLlaveRuedasObs" class="form-control" placeholder="Ingresar" rows="4"><?php echo isset($r) ? $r->__GET('sInvLlaveRuedasObs'):'';?></textarea>
                                                </td>
                                            </tr>

                                            <tr>
                                                <td>Lunas Laterales</td>
                                                <td>
                                                    <input type="checkbox" class="form-check-input check-entrega" value="1" name="nInvLunasLateralesIng" id="nInvLunasLateralesIng" <?php echo isset($r)? ($r->__get('nInvLunasLateralesIng')=='1'?'checked':'') : '' ; ?>>
                                                </td>
                                                <td>
                                                    <input type="checkbox" class="form-check-input check-viene" value="1" name="nInvLunasLateralesSal" id="nInvLunasLateralesSal" <?php echo isset($r)? ($r->__get('nInvLunasLateralesSal')=='1'?'checked':'') : '' ; ?>>
                                                </td>
                                                <td>
                                                    <textarea name="sInvLunasLateralesObs" id="sInvLunasLateralesObs" class="form-control" placeholder="Ingresar" rows="4"><?php echo isset($r) ? $r->__GET('sInvLunasLateralesObs'):'';?></textarea>
                                                </td>
                                            </tr>

                                            <tr>
                                                <td>Luces Direccionales</td>
                                                <td>
                                                    <input type="checkbox" class="form-check-input check-entrega" value="1" name="nInvLucesDireccionalesIng" id="nInvLucesDireccionalesIng" <?php echo isset($r)? ($r->__get('nInvLucesDireccionalesIng')=='1'?'checked':'') : '' ; ?>>
                                                </td>
                                                <td>
                                                    <input type="checkbox" class="form-check-input check-viene" value="1" name="nInvLucesDireccionalesSal" id="nInvLucesDireccionalesSal" <?php echo isset($r)? ($r->__get('nInvLucesDireccionalesSal')=='1'?'checked':'') : '' ; ?>>
                                                </td>
                                                <td>
                                                    <textarea name="sInvLucesDireccionalesObs" id="sInvLucesDireccionalesObs" class="form-control" placeholder="Ingresar" rows="4"><?php echo isset($r) ? $r->__GET('sInvLucesDireccionalesObs'):'';?></textarea>
                                                </td>
                                            </tr>

                                            <tr>
                                                <td>Parabrisas Delanteras</td>
                                                <td>
                                                    <input type="checkbox" class="form-check-input check-entrega" value="1" name="nInvParabrisasDelanteraIng" id="nInvParabrisasDelanteraIng" <?php echo isset($r)? ($r->__get('nInvParabrisasDelanteraIng')=='1'?'checked':'') : '' ; ?>>
                                                </td>
                                                <td>
                                                    <input type="checkbox" class="form-check-input check-viene" value="1" name="nInvParabrisasDelanteraSal" id="nInvParabrisasDelanteraSal" <?php echo isset($r)? ($r->__get('nInvParabrisasDelanteraSal')=='1'?'checked':'') : '' ; ?>>
                                                </td>
                                                <td>
                                                    <textarea name="sInvParabrisasDelanteraObs" id="sInvParabrisasDelanteraObs" class="form-control" placeholder="Ingresar" rows="4"><?php echo isset($r) ? $r->__GET('sInvParabrisasDelanteraObs'):'';?></textarea>
                                                </td>
                                            </tr>

                                            <tr>
                                                <td>Parabrisas Posteriores</td>
                                                <td>
                                                    <input type="checkbox" class="form-check-input check-entrega" value="1" name="nInvParabrisasPosteriorIng" id="nInvParabrisasPosteriorIng" <?php echo isset($r)? ($r->__get('nInvParabrisasPosteriorIng')=='1'?'checked':'') : '' ; ?>>
                                                </td>
                                                <td>
                                                    <input type="checkbox" class="form-check-input check-viene" value="1" name="nInvParabrisasPosteriorSal" id="nInvParabrisasPosteriorSal" <?php echo isset($r)? ($r->__get('nInvParabrisasPosteriorSal')=='1'?'checked':'') : '' ; ?>>
                                                </td>
                                                <td>
                                                    <textarea name="sInvParabrisasPosteriorObs" id="sInvParabrisasPosteriorObs" class="form-control" placeholder="Ingresar" rows="4"><?php echo isset($r) ? $r->__GET('sInvParabrisasPosteriorObs'):'';?></textarea>
                                                </td>
                                            </tr>

                                            <tr>
                                                <td>Plumillas</td>
                                                <td>
                                                    <input type="checkbox" class="form-check-input check-entrega" value="1" name="nInvPlumillasIng" id="nInvPlumillasIng" <?php echo isset($r)? ($r->__get('nInvPlumillasIng')=='1'?'checked':'') : '' ; ?>>
                                                </td>
                                                <td>
                                                    <input type="checkbox" class="form-check-input check-viene" value="1" name="nInvPlumillasSal" id="nInvPlumillasSal" <?php echo isset($r)? ($r->__get('nInvPlumillasSal')=='1'?'checked':'') : '' ; ?>>
                                                </td>
                                                <td>
                                                    <textarea name="sInvPlumillasObs" id="sInvPlumillasObs" class="form-control" placeholder="Ingresar" rows="4"><?php echo isset($r) ? $r->__GET('sInvPlumillasObs'):'';?></textarea>
                                                </td>
                                            </tr>

                                            <tr>
                                                <td>Radio</td>
                                                <td>
                                                    <input type="checkbox" class="form-check-input check-entrega" value="1" name="nInvRadioIng" id="nInvRadioIng" <?php echo isset($r)? ($r->__get('nInvRadioIng')=='1'?'checked':'') : '' ; ?>>
                                                </td>
                                                <td>
                                                    <input type="checkbox" class="form-check-input check-viene" value="1" name="nInvRadioSal" id="nInvRadioSal" <?php echo isset($r)? ($r->__get('nInvRadioSal')=='1'?'checked':'') : '' ; ?>>
                                                </td>
                                                <td>
                                                    <textarea name="sInvRadioObs" id="sInvRadioObs" class="form-control" placeholder="Ingresar" rows="4"><?php echo isset($r) ? $r->__GET('sInvRadioObs'):'';?></textarea>
                                                </td>
                                            </tr>

                                            <tr>
                                                <td>SOAT</td>
                                                <td>
                                                    <input type="checkbox" class="form-check-input check-entrega" value="1" name="nInvSoatIng" id="nInvSoatIng" <?php echo isset($r)? ($r->__get('nInvSoatIng')=='1'?'checked':'') : '' ; ?>>
                                                </td>
                                                <td>
                                                    <input type="checkbox" class="form-check-input check-viene" value="1" name="nInvSoatSal" id="nInvSoatSal" <?php echo isset($r)? ($r->__get('nInvSoatSal')=='1'?'checked':'') : '' ; ?>>
                                                </td>
                                                <td>
                                                    <textarea name="sInvSoatObs" id="sInvSoatObs" class="form-control" placeholder="Ingresar" rows="4"><?php echo isset($r) ? $r->__GET('sInvSoatObs'):'';?></textarea>
                                                </td>
                                            </tr>

                                            <tr>
                                                <td>Tarjeta Propiedad</td>
                                                <td>
                                                    <input type="checkbox" class="form-check-input check-entrega" value="1" name="nInvTarjetaPropiedadIng" id="nInvTarjetaPropiedadIng" <?php echo isset($r)? ($r->__get('nInvTarjetaPropiedadIng')=='1'?'checked':'') : '' ; ?>>
                                                </td>
                                                <td>
                                                    <input type="checkbox" class="form-check-input check-viene" value="1" name="nInvTarjetaPropiedadSal" id="nInvTarjetaPropiedadSal" <?php echo isset($r)? ($r->__get('nInvTarjetaPropiedadSal')=='1'?'checked':'') : '' ; ?>>
                                                </td>
                                                <td>
                                                    <textarea name="sInvTarjetaPropiedadObs" id="sInvTarjetaPropiedadObs" class="form-control" placeholder="Ingresar" rows="4"><?php echo isset($r) ? $r->__GET('sInvTarjetaPropiedadObs'):'';?></textarea>
                                                </td>
                                            </tr>

                                            <tr>
                                                <td>Triángulo de Seguridad</td>
                                                <td>
                                                    <input type="checkbox" class="form-check-input check-entrega" value="1" name="nInvTrianguloSeguridadIng" id="nInvTrianguloSeguridadIng" <?php echo isset($r)? ($r->__get('nInvTrianguloSeguridadIng')=='1'?'checked':'') : '' ; ?>>
                                                </td>
                                                <td>
                                                    <input type="checkbox" class="form-check-input check-viene" value="1" name="nInvTrianguloSeguridadSal" id="nInvTrianguloSeguridadSal" <?php echo isset($r)? ($r->__get('nInvTrianguloSeguridadSal')=='1'?'checked':'') : '' ; ?>>
                                                </td>
                                                <td>
                                                    <textarea name="sInvTrianguloSeguridadObs" id="sInvTrianguloSeguridadObs" class="form-control" placeholder="Ingresar" rows="4"><?php echo isset($r) ? $r->__GET('sInvTrianguloSeguridadObs'):'';?></textarea>
                                                </td>
                                            </tr>

                                        </tbody>
                                    </table>
                                </div>

                                </div>
                            </div>
                        </div>

                        <div class="col-md-12">
                            <div class="box-header" style="background-color:rgb(224, 218, 218);">
                                <h3 class="box-title" style="color: black; font-weight: 500;">Fotos</h3>
                            </div>

                            <div class="box-body">
                                <div class="row">
                                    <?php 
                                        $sInvFoto1ruta = isset($r) ? $r->__GET('sInvFoto1') : '';
                                        $sInvFoto1Name = basename($sInvFoto1ruta);
                                    ?>
                                    <div class="col-md-12 form-group">
                                        <label>Foto 1</label>
                                        <input type="file" class="form-control" accept=".jpeg, .png, .jpg" name="sInvFoto1" id="sInvFoto1">
                                        <input type="hidden" name="sInvFoto1Actual" id="sInvFoto1Actual" value="<?= $sInvFoto1ruta; ?>">
                                        <span id="file-namefoto1"><?php echo $sInvFoto1Name; ?></span>
                                    </div>

                                    <?php 
                                        $sInvFoto2ruta = isset($r) ? $r->__GET('sInvFoto2') : '';
                                        $sInvFoto2Name = basename($sInvFoto2ruta);
                                    ?>

                                    <div class="col-md-12 form-group">
                                        <label>Foto 2</label>
                                        <input type="file" class="form-control" accept=".jpeg, .png, .jpg" name="sInvFoto2" id="sInvFoto2">
                                        <input type="hidden" name="sInvFoto2Actual" id="sInvFoto2Actual" value="<?= $sInvFoto2ruta; ?>">
                                        <span id="file-namefoto2"><?php echo $sInvFoto2Name; ?></span>
                                    </div>

                                    <?php 
                                        $sInvVideoruta = isset($r) ? $r->__GET('sInvVideo') : '';
                                        $sInvVideoName = basename($sInvVideoruta);
                                    ?>

                                    <div class="col-md-12 form-group d-none">
                                        <label>Vídeo</label>
                                        <input type="file" class="form-control" accept=".mp4" name="sInvVideo" id="sInvVideo">
                                        <input type="hidden" name="sInvVideoActual" id="sInvVideoActual" value="<?= $sInvVideoruta; ?>">
                                        <span id="file-namevideo"><?php echo $sInvVideoName; ?></span>
                                    </div>

                                </div>
                            </div>
                        </div>
 
                        <div class="col-md-12">

                            <div class="box-body">
                                <div class="row">
                                    
                                    <div class="col-md-12 form-group">
                                        <label style="font-size: 3rem; display: inline-block; border-bottom: 2px solid black;">Leyenda</label><br>
                                        <label style="font-size: 2rem;">X = Dañado</label><br>
                                        <label style="font-size: 2rem;">O = Observado</label>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="row">
                                            <div class="col-md-12 form-group">
                                                <label class="section-label">Ingreso</label>

                                                <!-- <img id="image_vehiculo" src="./view/librerias/dist/img/vehiculo_checklist.jpg" class="d-none img-thumbnail img-fluid"> -->
                                                <img id="image_vehiculo" src="./view/librerias/dist/img/checklist.png" class="d-none img-thumbnail img-fluid">
                                            
                                                <input type="hidden" id="sInvVehiculoIng" name="sInvVehiculoIng" value="<?php echo isset($r) ? $r->__get('sInvVehiculoIng') : ''; ?>">

                                                <div class="position-relative">
                                                    <img id="img_sInvVehiculoIng" class="img-thumbnail p-0 <?php echo isset($r) && $r->__get('sInvVehiculoIng')==''? 'hide' : ''; ?>" src="<?php echo isset($r) ? $r->__get('sInvVehiculoIng') : ''; ?>"/>
                                                    <div class="xpad-disabled"></div>
                                                </div>

                                                <div id="paleta_sInvVehiculoIng" class="vehiculo <?php echo isset($r) && $r->__get('sInvVehiculoIng')!=''? 'hide' : ''; ?>">
                                                    <canvas id="csInvVehiculoIng" ontouchstart="touchTrazo('sInvVehiculoIng');" onclick="touchTrazo('sInvVehiculoIng');">

                                                    </canvas>
                                                    <div class="xpad-disabled"></div>
                                                </div>

                                                <div class="firma-opts row" data-dest="sInvVehiculoIng">
                                                    <div class="col-xs-5 form-group">
                                                        <button id="confirm_sInvVehiculoIng" type="button" class="btn btn-block btn-orange btn-flat btn-confirm" disabled>Confirmar</button>
                                                    </div>
                                                    <div class="col-xs-2 form-group">
                                                        <button id="limpiar_sInvVehiculoIng" type="button" class="btn btn-block btn-danger btn-flat btn-limpiar" disabled><i class="fa fa-trash-o"></i></button>
                                                    </div>
                                                    <div class="col-xs-5 form-group">
                                                        <button id="borrar_sInvVehiculoIng" type="button" class="btn btn-block btn-danger btn-flat btn-borrar" <?php echo isset($r) && $r->__get('sInvVehiculoIng')==''? 'disabled' : ''; ?>>Remover</button>
                                                    </div>
                                                </div>
                                            </div>

                                            <!-- <div class="col-md-12 text-center" style="padding-top: 20px;">
                                                <label>Tanque de Combustible (<span id="combustibleIngView">R</span>)</label>
                                                <input oninput="muestraTanque(true)" onchange="muestraTanque(true)" style="padding:6px 12px;" type="range" class="form-control-range" step="0.125" min="0" max="1" name="sInvTanqueCombustibleIng" id="sInvTanqueCombustibleIng" value="<?php echo isset($r) ? $r->__get('sInvTanqueCombustibleIng') : '0'; ?>">
                                            </div> -->

                                            <div class="col-md-12 text-center" style="padding-top: 15px; padding-bottom: 15px;">
                                                <label style="padding-bottom: 20px;">Tanque de Combustible (<span id="combustibleIngView">R</span>)</label>    
                                                <div class="fuel-container">
                                                    <img src="view/librerias/dist/img/tanque.png" alt="Combustible" class="img-tanque">
                                                    <div class="fuel-meter" id="fuelMeterIng">
                                                        <span style="color: #000; font-weight: bold;">F</span>
                                                        <div class="fuel-bar" style="width: 18rem;" data-value="1"></div>
                                                        <div class="fuel-bar" style="width: 16rem;" data-value="0.875"></div>
                                                        <div class="fuel-bar" style="width: 14rem;" data-value="0.75"></div>
                                                        <div class="fuel-bar" style="width: 12rem;" data-value="0.625"></div>
                                                        <div class="fuel-bar" style="width: 10rem;" data-value="0.5"></div>
                                                        <div class="fuel-bar" style="width: 8rem;" data-value="0.375"></div>
                                                        <div class="fuel-bar" style="width: 6rem;" data-value="0.25"></div>
                                                        <div class="fuel-bar" style="width: 4rem;" data-value="0.125"></div>
                                                        <span class="empty" style="color: red; font-weight: bold;">E</span>
                                                    </div>
                                                </div>
                                                <input type="hidden" name="sInvTanqueCombustibleIng" id="sInvTanqueCombustibleIng" value="<?php echo isset($r) ? $r->__get('sInvTanqueCombustibleIng') : '0'; ?>">
                                            </div>

                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="row">
                                            <div class="col-md-12 form-group">
                                                <label class="section-label">Salida</label>

                                                <input type="hidden" id="sInvVehiculoSal" name="sInvVehiculoSal" value="<?php echo isset($r) ? $r->__get('sInvVehiculoSal') : ''; ?>">
                                                <div class="position-relative">
                                                    <img id="img_sInvVehiculoSal" class="img-thumbnail p-0 <?php echo isset($r) && $r->__get('sInvVehiculoSal')==''? 'hide' : ''; ?>" src="<?php echo isset($r) ? $r->__get('sInvVehiculoSal') : ''; ?>"/>
                                                    <div class="xpad-disabled"></div>
                                                </div>
                                                <div id="paleta_sInvVehiculoSal" class="vehiculo <?php echo isset($r) && $r->__get('sInvVehiculoSal')!=''? 'hide' : ''; ?>">
                                                    <canvas id="csInvVehiculoSal" ontouchstart="touchTrazo('sInvVehiculoSal');" onclick="touchTrazo('sInvVehiculoSal');"></canvas>                      
                                                    <div class="xpad-disabled"></div>
                                                </div>
                                                <div class="firma-opts row" data-dest="sInvVehiculoSal">
                                                    <div class="col-xs-5 form-group">
                                                        <button id="confirm_sInvVehiculoSal" type="button" class="btn btn-block btn-orange btn-flat btn-confirm" disabled>Confirmar</button>
                                                    </div>
                                                    <div class="col-xs-2 form-group">
                                                        <button id="limpiar_sInvVehiculoSal" type="button" class="btn btn-block btn-danger btn-flat btn-limpiar" disabled><i class="fa fa-trash-o"></i></button>
                                                    </div>
                                                    <div class="col-xs-5 form-group">
                                                        <button id="borrar_sInvVehiculoSal" type="button" class="btn btn-block btn-danger btn-flat btn-borrar" <?php echo isset($r) && $r->__get('sInvVehiculoSal')==''? 'disabled' : ''; ?>>Remover</button>
                                                    </div>
                                                </div>
                                            </div>

                                            <!-- <div class="col-md-12 text-center" style="padding-top: 20px; padding-bottom: 20px;">
                                                <label>Tanque de Combustible (<span id="combustibleSalView">R</span>)</label>
                                                <input oninput="muestraTanque()" onchange="muestraTanque()" style="padding:6px 12px;" type="range" class="form-control-range" step="0.125" min="0" max="1" name="sInvTanqueCombustibleSal" id="sInvTanqueCombustibleSal" value="<?php echo isset($r) ? $r->__get('sInvTanqueCombustibleSal') : '0'; ?>">
                                            </div> -->

                                            <div class="col-md-12 text-center" style="padding-top: 15px; padding-bottom: 15px;">
                                                <label style="padding-bottom: 20px;">Tanque de Combustible (<span id="combustibleSalView">R</span>)</label>    
                                                <div class="fuel-container">
                                                    <img src="view/librerias/dist/img/tanque.png" alt="Combustible" class="img-tanque">
                                                    <div class="fuel-meter" id="fuelMeterSal">
                                                        <span style="color: #000; font-weight: bold;">F</span>
                                                        <div class="fuel-bar" style="width: 18rem;" data-value="1"></div>
                                                        <div class="fuel-bar" style="width: 16rem;" data-value="0.875"></div>
                                                        <div class="fuel-bar" style="width: 14rem;" data-value="0.75"></div>
                                                        <div class="fuel-bar" style="width: 12rem;" data-value="0.625"></div>
                                                        <div class="fuel-bar" style="width: 10rem;" data-value="0.5"></div>
                                                        <div class="fuel-bar" style="width: 8rem;" data-value="0.375"></div>
                                                        <div class="fuel-bar" style="width: 6rem;" data-value="0.25"></div>
                                                        <div class="fuel-bar" style="width: 4rem;" data-value="0.125"></div>
                                                        <span class="empty" style="color: red; font-weight: bold;">E</span>
                                                    </div>
                                                </div>
                                                <input type="hidden" name="sInvTanqueCombustibleSal" id="sInvTanqueCombustibleSal" value="<?php echo isset($r) ? $r->__get('sInvTanqueCombustibleSal') : '0'; ?>">
                                            </div>

                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="col-md-12">

                            <div class="box-header" style="background-color:rgb(224, 218, 218);">
                                <h3 class="box-title" style="color: black; font-weight: 500;">Datos de salida</h3>
                            </div>

                            <div class="box-body">
                                
                                <div class="row">
                                    
                                    <div class="col-md-6 form-group">
                                        <label>Fecha de salida</label>
                                        <input type="text" class="form-control" name="dInvFechaSalida" id="dInvFechaSalida" value="<?php echo isset($r) ? $r->__GET('dInvFechaSalida') : date('Y-m-d'); ?>" data-fechformat="<?php echo isset($r) ? $r->__GET('dInvFechaSalida') : date('Y-m-d'); ?>">
                                    </div>

                                    <div class="col-md-6 form-group">
                                        <label>Hora de salida</label>
                                        <input type="text" class="form-control"  name="dInvHoraSalida" id="dInvHoraSalida" value="<?php echo isset($r) ? $r->__GET('dInvHoraSalida') : date('H:i:s'); ?>" data-fechformat="<?php echo isset($r) ? $r->__GET('dInvHoraSalida') : date('H:i:s'); ?>">
                                    </div>

                                </div>

                            </div>
                        </div>

                        <div class="col-md-12">
                            <div class="box-header" style="background-color:rgb(224, 218, 218);">
                                <h3 class="box-title" style="color: black; font-weight: 500;">Foto de salida</h3>
                            </div>

                            <div class="box-body">
                                <div class="row">
                                    <?php 
                                        $rutaSalida = isset($r) ? $r->__GET('sInvFotoSalida') : '';
                                        $namesalida = basename($rutaSalida);
                                    ?>
                                    <div class="col-md-12 form-group">
                                        <input type="file" class="form-control" accept=".jpeg, .png, .jpg" name="sInvFotoSalida" id="sInvFotoSalida">
                                        <input type="hidden" name="sInvFotoSalidaActual" value="<?= $rutaSalida; ?>">
                                        <span id="file-namesalida"><?php echo $namesalida; ?></span>
                                    </div>

                                </div>
                            </div>
                        </div>

                        <div class="col-md-12">
                            <div class="box-header" style="background-color:rgb(224, 218, 218);">
                                <h3 class="box-title" style="color: black; font-weight: 500;">Firmas</h3>
                            </div>

                            <div class="box-body">
                                <div class="row">
                                    
                                    <div class="col-md-6">
                                        <div class="col-md-12 form-group">
                                            <label>Recibido por</label>
                                            <input type="text" class="form-control" name="sInvNombreReceptor" id="sInvNombreReceptor" value="<?php echo isset($r) ? $r->__GET('sInvNombreReceptor') : ''; ?>">
                                        </div>

                                        <div class="col-md-12 form-group">
                                            <label>Celular Receptor</label>
                                            <input type="number" class="form-control" name="sInvCelularReceptor" id="sInvCelularReceptor" value="<?php echo isset($r) ? $r->__GET('sInvCelularReceptor') : ''; ?>">
                                        </div>
                                        
                                        <div class="col-md-12 form-group">
                                            <label>Firma Receptor</label>

                                            <input type="hidden" id="sInvFirmaReceptor" name="sInvFirmaReceptor" value="<?php echo isset($r) ? $r->__get('sInvFirmaReceptor') : ''; ?>">

                                            <img id="img_sInvFirmaReceptor" class="img-thumbnail p-1 <?php echo isset($r) && $r->__get('sInvFirmaReceptor')==''? 'hide' : ''; ?>" src="<?php echo isset($r) ? $r->__get('sInvFirmaReceptor') : ''; ?>"/>
                                            
                                            <div id="paleta_sInvFirmaReceptor" class="firma <?php echo isset($r) && $r->__get('sInvFirmaReceptor')!=''? 'hide' : ''; ?>">

                                                <canvas id="csInvFirmaReceptor" style="margin: 0 auto;" ontouchstart="touchTrazo('sInvFirmaReceptor');" onclick="touchTrazo('sInvFirmaReceptor');">
                                                </canvas>

                                            </div>

                                            <div class="firma-opts row" data-dest="sInvFirmaReceptor">
                                                <div class="col-xs-5 form-group">
                                                    <button id="confirm_sInvFirmaReceptor" type="button" class="btn btn-block btn-orange btn-flat btn-confirm" disabled>
                                                        Confirmar
                                                    </button>
                                                </div>
                                                <div class="col-xs-2 form-group">
                                                    <button id="limpiar_sInvFirmaReceptor" type="button" class="btn btn-block btn-danger btn-flat btn-limpiar" disabled>
                                                        <i class="fa fa-trash-o"></i>
                                                    </button>
                                                </div>
                                                <div class="col-xs-5 form-group">
                                                    <button id="borrar_sInvFirmaReceptor" type="button" class="btn btn-block btn-danger btn-flat btn-borrar" <?php echo isset($r) && $r->__get('sInvFirmaReceptor')==''? 'disabled' : ''; ?>>
                                                        Remover
                                                    </button>
                                                </div>
                                            </div>

                                        </div>

                                    </div>

                                    <div class="col-md-6">
                                        <div class="col-md-12 form-group">
                                            <label>Entregado por</label>
                                            <input type="text" class="form-control" name="sInvNombreEntregador" id="sInvNombreEntregador" value="<?php echo isset($r) ? $r->__GET('sInvNombreEntregador') : ''; ?>">
                                        </div>

                                        <div class="col-md-12 form-group">
                                            <label>Celular Entregador</label>
                                            <input type="number" class="form-control" name="sInvCelularEntregador" id="sInvCelularEntregador" value="<?php echo isset($r) ? $r->__GET('sInvCelularEntregador') : ''; ?>">
                                        </div>

                                        <div class="col-md-12 form-group">
                                            <label>Firma Entregador</label>
                                            <input type="hidden" id="sInvFirmaEntregador" name="sInvFirmaEntregador" value="<?php echo isset($r) ? $r->__get('sInvFirmaEntregador') : ''; ?>">
                                            <img id="img_sInvFirmaEntregador" class="img-thumbnail p-1 <?php echo isset($r) && $r->__get('sInvFirmaEntregador')==''? 'hide' : ''; ?>" src="<?php echo isset($r) ? $r->__get('sInvFirmaEntregador') : ''; ?>"/>
                                            
                                            <div id="paleta_sInvFirmaEntregador" class="firma <?php echo isset($r) && $r->__get('sInvFirmaEntregador')!=''? 'hide' : ''; ?>">

                                                <canvas id="csInvFirmaEntregador" style="margin: 0 auto;" ontouchstart="touchTrazo('sInvFirmaEntregador');" onclick="touchTrazo('sInvFirmaEntregador');">
                                                </canvas>

                                            </div>

                                            <div class="firma-opts row" data-dest="sInvFirmaEntregador">
                                                <div class="col-xs-5 form-group">
                                                    <button id="confirm_sInvFirmaEntregador" type="button" class="btn btn-block btn-orange btn-flat btn-confirm" disabled>
                                                        Confirmar
                                                    </button>
                                                </div>
                                                <div class="col-xs-2 form-group">
                                                    <button id="limpiar_sInvFirmaEntregador" type="button" class="btn btn-block btn-danger btn-flat btn-limpiar" disabled>
                                                        <i class="fa fa-trash-o"></i>
                                                    </button>
                                                </div>
                                                <div class="col-xs-5 form-group">
                                                    <button id="borrar_sInvFirmaEntregador" type="button" class="btn btn-block btn-danger btn-flat btn-borrar" <?php echo isset($r) && $r->__get('sInvFirmaEntregador')==''? 'disabled' : ''; ?>>
                                                        Remover
                                                    </button>
                                                </div>
                                            </div>

                                        </div>

                                    </div>

                                </div>
                            </div>
                        </div>

                    </div>

                    <!-- /.box-body -->
                    <div class="box-footer text-center">
                        <button type="submit" onmouseover="this.onmouseover=function(){return false}" class="btn btn-primary btn-flat" style="background-color: blue;">Guardar</button>
                        <a onclick="handleCancelarInventario()" style="background-color: red;" class="btn btn-danger btn-flat btn-custom">Cancelar</a>
                    </div>

                </form>
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->


<script src="view/librerias/plugins/signature_pad/sp.js"></script>
<script type="text/javascript" src="view/librerias/dist/js/jquery.tabletojson.js"></script>

<script type="text/javascript">

    // check all ingreso
    let IngresoSeleccionarAll = $('#IngresoSeleccionarAll')
    let entregaBoxes = $('.check-entrega')

    IngresoSeleccionarAll.change(() => {
      entregaBoxes.prop("checked", IngresoSeleccionarAll.prop("checked"))
    })

    entregaBoxes.change(() => {
      let allChecked = entregaBoxes.length === entregaBoxes.filter(":checked").length
      IngresoSeleccionarAll.prop("checked", allChecked)
    })

    // check all salida
    let SalidaSeleccionarAll = $('#SalidaSeleccionarAll')
    let recepcionBoxes = $('.check-viene')

    SalidaSeleccionarAll.change(() => {
      // Filtra solo los que NO están deshabilitados antes de marcarlos
      recepcionBoxes.not(':disabled').prop("checked", SalidaSeleccionarAll.prop("checked"))
    })

    recepcionBoxes.change(() => {
      let allChecked = recepcionBoxes.length === recepcionBoxes.filter(":checked").length
      SalidaSeleccionarAll.prop("checked", allChecked)
    })


    const valorAtencion = "<?= isset($OrdenTrabajo_Id) ? $OrdenTrabajo_Id : '' ?>";

    function handleCancelarInventario () {
        if (valorAtencion == '') {
            window.location.href = '?c=Inventario&a=Index'
        } else {
            window.location.href = '?c=Atencion&a=Index'
        }
    }

    function activarCheck () {
        const ingresoSeleccionarAll = document.getElementById("IngresoSeleccionarAll");
        const salidaSeleccionarAll = document.getElementById("SalidaSeleccionarAll");
        const ingresoCheckboxes = document.querySelectorAll(".check-entrega");

        // Evento para seleccionar todos los ingresos
        ingresoSeleccionarAll.addEventListener("change", function() {
            ingresoCheckboxes.forEach(checkbox => {
                checkbox.checked = this.checked; // Marca o desmarca todos
                checkbox.dispatchEvent(new Event("change")); // Disparar evento change
            });

            // Habilitar o deshabilitar la selección de salida
            salidaSeleccionarAll.disabled = !this.checked;
            if (!this.checked) {
                salidaSeleccionarAll.checked = false; // Desmarcar si se deshabilita
            }
        });

        // Evento para cada checkbox de ingreso individual
        ingresoCheckboxes.forEach(checkbox => {
            checkbox.addEventListener("change", function() {
                let salidaCheckbox = this.closest("tr").querySelector(".check-viene");
                salidaCheckbox.disabled = !this.checked;
                if (!this.checked) {
                    salidaCheckbox.checked = false;
                }
            });

            // Aplicar la lógica al cargar la página
            let salidaCheckbox = checkbox.closest("tr").querySelector(".check-viene");
            salidaCheckbox.disabled = !checkbox.checked;
        });

        // Aplicar la lógica al cargar la página para los checkboxes generales
        salidaSeleccionarAll.disabled = !ingresoSeleccionarAll.checked;  
    }

    function tanque(id, inputId) {
        const fuelBars = document.querySelectorAll(`#${id} .fuel-bar`);
        const fuelInput = document.getElementById(inputId);

        function updateFuel(value) {
            fuelBars.forEach(bar => {
                let barValue = parseFloat(bar.dataset.value);
                if (barValue <= value) {
                    bar.classList.add("active");
                    bar.classList.toggle("low", barValue <= 0.25); // Color rojo si es bajo
                } else {
                    bar.classList.remove("active", "low");
                }
            });

            fuelInput.value = value;
        }

        fuelBars.forEach(bar => {
            bar.addEventListener("click", function() {
                let value = parseFloat(this.dataset.value);
                updateFuel(value);
            });
        });

        // Inicializar con el valor guardado
        let initialValue = parseFloat(fuelInput.value) || 0;
        updateFuel(initialValue);
    }

    $(document).ready(function(){
            activarCheck();
            tanque("fuelMeterIng", "sInvTanqueCombustibleIng");
            tanque("fuelMeterSal", "sInvTanqueCombustibleSal");

            $("#FormInventario").validators({
                rules: {
                    nInvKilometraje: {
                        required: true
                    },
                    sInvPlaca: {
                        required: true
                    },
                    sInvNombreReceptor: {
                        required: true
                    },
                    sInvNombreEntregador: {
                        required: true
                    }
                }
            })

            var clienteSeleccionado = $("#nInvCliente_Id").val();
            var vehiculoSeleccionado = "<?php echo isset($r) ? $r->__GET('nInvVehiculo_Id') : ''; ?>";

            // Cargar vehículos al cargar la página si hay un cliente seleccionado
            if (clienteSeleccionado) {
                cargarVehiculos(clienteSeleccionado, vehiculoSeleccionado);
            }

            // Cargar vehículos cuando se cambie el cliente
            $("#nInvCliente_Id").change(function() {
                cargarVehiculos($(this).val(), null);
            });
    });

function limpiarVehiculo(vehiculo){
    vehiculo.clear();
    resizeFirma();
}

document.getElementById("sInvFotoIngreso").addEventListener("change", function(event) {
    let fileName = event.target.files[0] ? event.target.files[0].name : "No hay imagen seleccionada";
    document.getElementById("file-name").textContent = fileName;
});

document.getElementById("sInvFoto1").addEventListener("change", function(event) {
    let fileName = event.target.files[0] ? event.target.files[0].name : "No hay imagen seleccionada";
    document.getElementById("file-namefoto1").textContent = fileName;
});

document.getElementById("sInvFoto2").addEventListener("change", function(event) {
    let fileName = event.target.files[0] ? event.target.files[0].name : "No hay imagen seleccionada";
    document.getElementById("file-namefoto2").textContent = fileName;
});

document.getElementById("sInvVideo").addEventListener("change", function(event) {
    let fileName = event.target.files[0] ? event.target.files[0].name : "No hay video seleccionada";
    document.getElementById("file-namevideo").textContent = fileName;
});

document.getElementById("sInvFotoSalida").addEventListener("change", function(event) {
    let fileName = event.target.files[0] ? event.target.files[0].name : "No hay imagen seleccionada";
    document.getElementById("file-namesalida").textContent = fileName;
});

$('#dInvFechaIngreso').datetimepicker({
    viewMode: 'days',
    format: 'YYYY-MM-DD'
});

$('#dInvHoraIngreso').datetimepicker({
    format: 'HH:mm', // Formato solo para horas y minutos
});

$('#dInvFechaSalida').datetimepicker({
    viewMode: 'days',
    format: 'YYYY-MM-DD'
});

$('#dInvHoraSalida').datetimepicker({
    format: 'HH:mm', // Formato solo para horas y minutos
});


//FUNCIONES PARA LAS FIRMAS
var csInvVehiculoIng = document.querySelector('#csInvVehiculoIng')
var spsInvVehiculoIng = new SignaturePad(csInvVehiculoIng,{minWidth: 0.8, maxWidth: 4, penColor: 'red'})

var csInvVehiculoSal = document.querySelector('#csInvVehiculoSal')
var spsInvVehiculoSal = new SignaturePad(csInvVehiculoSal,{minWidth: 0.8, maxWidth: 4, penColor: 'red'})

var csInvFirmaReceptor = document.querySelector('#csInvFirmaReceptor')
var spsInvFirmaReceptor = new SignaturePad(csInvFirmaReceptor);

var csInvFirmaEntregador = document.querySelector('#csInvFirmaEntregador')
var spsInvFirmaEntregador = new SignaturePad(csInvFirmaEntregador);

function touchTrazo(id){
    $('#confirm_'+id).attr('disabled',false);
    $('#borrar_'+id).attr('disabled',true);
    $('#limpiar_'+id).attr('disabled',false);
}

function confirmarTrazo(id) {
    console.log(id)
    let image = eval('sp'+id+'.toDataURL()')
    $('#img_'+id).removeClass('hide')
    $('#img_'+id).attr('src',image)
    $('#paleta_'+id).addClass('hide')
    $('#'+id).val(image)
    $('#confirm_'+id).attr('disabled',true)
    $('#borrar_'+id).attr('disabled',false)
    $('#limpiar_'+id).attr('disabled',true)
}

function borrarTrazo(id){
    var height = $('#img_'+id).outerHeight();
    //(eval('c'+id)).height = canvas_vehiculo_const.offsetWidth/2 * (368/642);
    eval('sp'+id+'.clear()');
    $('#img_'+id).addClass('hide');
    $('#paleta_'+id).removeClass('hide');
    $('#'+id).val('');
    $('#confirm_'+id).attr('disabled',true);
    $('#borrar_'+id).attr('disabled',true);
    $('#limpiar_'+id).attr('disabled',true);
    resizeFirma();
}

$('.btn-confirm').on('click',function(){
    var name = $(this).parent().parent().data('dest');
    confirmarTrazo(name);
});

$('.btn-limpiar').on('click',function(){
    var name = $(this).parent().parent().data('dest');
    eval('sp'+name+'.clear()');
    resizeFirma();
});

$('.btn-borrar').on('click',function(){
    var name = $(this).parent().parent().data('dest');
    borrarTrazo(name);
});

function addVehiculoBG(c,width,height){
    var imgObj = document.getElementById('image_vehiculo');
    var ctx = c.getContext('2d');
    c.width = width;
    c.height = height;
    ctx.drawImage(imgObj, 0, 0,width,height);
}

function resizeFirma() {
    setTimeout(()=>{
      var ratio =  Math.max(window.devicePixelRatio || 1, 1);
      var height_percent = 0.320; //(104.033*100)/223.167
      var height_percent_vehiculo = 0.573;//0.584;//(278.450*100)/476.333


      csInvVehiculoIng.width = csInvVehiculoIng.offsetWidth * ratio;
      //csInvVehiculoIng.height = csInvVehiculoIng.offsetHeight * ratio_auto_height;
      csInvVehiculoIng.height = csInvVehiculoIng.offsetWidth * height_percent_vehiculo * ratio;
      addVehiculoBG(csInvVehiculoIng,csInvVehiculoIng.width,csInvVehiculoIng.height);
      csInvVehiculoIng.getContext("2d").scale(ratio, ratio);

      csInvVehiculoSal.width = csInvVehiculoSal.offsetWidth * ratio;
      //csInvVehiculoSal.height = csInvVehiculoSal.offsetHeight * ratio_auto_height;
      csInvVehiculoSal.height = csInvVehiculoSal.offsetWidth * height_percent_vehiculo * ratio;
      addVehiculoBG(csInvVehiculoSal,csInvVehiculoSal.width,csInvVehiculoSal.height);
      csInvVehiculoSal.getContext("2d").scale(ratio, ratio);
      
      //---
      csInvFirmaReceptor.width = csInvFirmaReceptor.offsetWidth * ratio;
      //csERFirmaEmisemVa.height = csERFirmaEmisemVa.offsetHeight * ratio;
      csInvFirmaReceptor.height = csInvFirmaReceptor.offsetWidth * height_percent * ratio;
      csInvFirmaReceptor.getContext("2d").scale(ratio, ratio);
      //signaturePad.clear(); // otherwise isEmpty() might return incorrect value

      csInvFirmaEntregador.width = csInvFirmaEntregador.offsetWidth * ratio;
      //csERFirmaEmisemVa.height = csERFirmaEmisemVa.offsetHeight * ratio;
      csInvFirmaEntregador.height = csInvFirmaEntregador.offsetWidth * height_percent * ratio;
      csInvFirmaEntregador.getContext("2d").scale(ratio, ratio);
      //signaturePad.clear(); // otherwise isEmpty() might return incorrect value
      //--

    },500)
}

window.addEventListener("resize", resizeFirma);
resizeFirma();


function muestraTanque(va=false){
    var tanque = parseFloat($('#sInvTanqueCombustible'+(va?'Ing':'Sal')).val());
    var s = 'R';
    if(tanque==0.125){
      s = '1/8';
    }else if(tanque==0.25){
      s = '1/4';
    }else if(tanque==0.375){
      s = '3/8';
    }else if(tanque==0.5){
      s = '1/2';
    }else if(tanque==0.625){
      s = '5/8';
    }else if(tanque==0.75){
      s = '3/4';
    }else if(tanque==0.875){
      s = '7/8';
    }else if(tanque==1){
      s = 'FULL';
    }

    $('#combustible'+(va?'Ing':'Sal')+'View').html(s);
}

function cargarVehiculos(clienteId, vehiculoSeleccionado) {
    if (clienteId !== "") {
        $.post(
            '?c=Atencion&a=ListarxClienteVehiculo',
            { Cliente_Id: clienteId },
            function(data) {
                $("#nInvVehiculo_Id").html(data);

                // Si hay un vehículo guardado, seleccionarlo
                if (vehiculoSeleccionado) {
                    $("#nInvVehiculo_Id").val(vehiculoSeleccionado);
                }
            }
        );
    } else {
        $("#nInvVehiculo_Id").html('<option value="">Seleccione un vehículo</option>');
    }
}


</script>